/*
 * ***** BEGIN LICENSE BLOCK *****
 * Copyright (C) 2011-2016 ZeXtras
 *
 * The contents of this file are subject to the ZeXtras EULA;
 * you may not use this file except in compliance with the EULA.
 * You may obtain a copy of the EULA at
 * http://www.zextras.com/zextras-eula.html
 * ***** END LICENSE BLOCK *****
 */

var ZxMobileXFormItemDelegated = [
  {
    type: _GROUP_,
    cssClass: 'ZmSelectedHeaderBg',
    colSpan: '*',
    id: 'xform_header',
    items: [
      {
        type: _GROUP_,
        cssClass: 'ZxMobileSpacer',
        numCols: 2,
        width: '100%',
        colSizes: ['160px', '*'],
        items: [
          { type: _CELL_SPACER_ },
          {
            type: _OUTPUT_,
            ref: 'name',
            valign: _TOP_,
            cssClass: 'AdminTitle'
          }
        ]
      }
    ]
  },
  {
    type: _GROUP_,
    numCols: 1,
    colSizes: ['*'],
    width: '100%',
    tableCssStyle: 'width:100%;overflow:auto;padding-right:15px;padding-left:15px;',
    items: [
      {
        type: _GROUP_,
        numCols: 2,
        colSizes: ['50%', '50%'],
        width: '100%',
        items: []
      },
      {
        type: _TOP_GROUPER_,
        label: zxMsg('LBL_MOB_Registered_devices'),
        numCols: 1,
        colSizes: ['*'],
        items: [
          {
            type: _ZX_LIST_VIEW_,
            ref: 'attrs/' + ZxMobile.KEY_SESSIONS,
            headerList: ZxMobile.getSessionsListHeaderDelegated(),
            filterEnabled: true,
            navigationEnabled: true,
            hideIfEmpty: false,
            optionalButtons: ZxMobile.getSessionListButtons(),
            onSelection: ZxMobile._onDeviceSelected
          }
        ]
      }
    ]
  }
];
