/*
 * ***** BEGIN LICENSE BLOCK *****
 * Copyright (C) 2011-2016 ZeXtras
 *
 * The contents of this file are subject to the ZeXtras EULA;
 * you may not use this file except in compliance with the EULA.
 * You may obtain a copy of the EULA at
 * http://www.zextras.com/zextras-eula.html
 * ***** END LICENSE BLOCK *****
 */

function ZxAddBlockedAppDialog(parent, width, height, title) {
  if (arguments.length === 0) { return; }
  this._standardButtons = [DwtDialog.OK_BUTTON, DwtDialog.CANCEL_BUTTON];
  ZaXDialog.call(this, parent, null, title, width, height, null, ZxAddBlockedAppDialog.DLG_ID);
  this.initForm(this.getMyXModel(), this.getMyXForm());
  this._helpURL = ZxLinks.HELP_MOB_Mobile;
}

ZxAddBlockedAppDialog.prototype = new ZaXDialog();
ZxAddBlockedAppDialog.prototype.constructor = ZxAddBlockedAppDialog;

ZxAddBlockedAppDialog.DLG_ID = 'client_access_policy_add_blocked_app_dlg';

ZxAddBlockedAppDialog.prototype.getMyXModel = function() {
  var xModelObject = {
    items: [
      {id: ZxMobileAppListView.A_BlockedAppName, type: _STRING_}
    ]
  };
  return xModelObject;
};

ZxAddBlockedAppDialog.prototype.getMyXForm = function() {
  var xFormObject = {
    numCols: 1,
    items: [
      {
        type: _GROUP_,
        numCols: 1,
        isTabGroup: true,
        width: 430,
        cssStyle: 'margin: 10px',
        items: [
          {type: _SPACER_, height: 10},
          {type: _OUTPUT_, value: zxMsg('LBL_MOB_Application_name')},
          {
            type: _TEXTFIELD_,
            ref: ZxMobileAppListView.A_BlockedAppName,
            width: '100%',
            label: null
          }
        ]
      }
    ]
  };
  return xFormObject;
};
