/*
 * ***** BEGIN LICENSE BLOCK *****
 * Copyright (C) 2011-2016 ZeXtras
 *
 * The contents of this file are subject to the ZeXtras EULA;
 * you may not use this file except in compliance with the EULA.
 * You may obtain a copy of the EULA at
 * http://www.zextras.com/zextras-eula.html
 * ***** END LICENSE BLOCK *****
 */
/**
 * Factory that manage the user's tab.
 * Each module can add informations as new tab or adding
 * informations on ZeXtras tab, for the user.
 * @constructor
 */
function ZxCOSFormModifier() {
  ZxFormModifier.call(
    this,
    ZaTabView.XFormModifiers.ZaCosXFormView,
    ZaItem.loadMethods.ZaCos,
    ZaItem.modifyMethods.ZaCos
  );
}
ZxCOSFormModifier.prototype = new ZxFormModifier();
ZxCOSFormModifier.prototype.constructor = ZxCOSFormModifier;
