/*
 * ***** BEGIN LICENSE BLOCK *****
 * Copyright (C) 2011-2016 ZeXtras
 *
 * The contents of this file are subject to the ZeXtras EULA;
 * you may not use this file except in compliance with the EULA.
 * You may obtain a copy of the EULA at
 * http://www.zextras.com/zextras-eula.html
 * ***** END LICENSE BLOCK *****
 */

var ZxAdminXFormItemDelegated = [
  {
    type: _GROUP_,
    cssClass: 'ZmSelectedHeaderBg',
    colSpan: '*',
    id: 'xform_header',
    items: [
      {
        type: _GROUP_,
        cssClass: 'ZxAdminSpacer',
        numCols: 3,
        width: '100%',
        colSizes: ['160px', '*', '200px'],
        align: _RIGHT_,
        items: [
          { type: _CELL_SPACER_ },
          { type: _CELL_SPACER_ },
          {
            type: _GROUP_,
            width: 200,
            numCols: 1,
            items: [
              {
                type: _DWT_BUTTON_,
                label: zxMsg('LBL_DLG_browse_logs'),
                icon: 'ZxAdmin',
                width: 200,
                toolTipContent: zxMsg('MSG_DLG_browse_logs_tooltip'),
                onActivate: ZxAdmin.doSelectFilterForBrowseLog
              },
              {
                type: _DWT_BUTTON_,
                label: zxMsg('LBL_Show_Report'),
                icon: 'RightObject',
                width: 200,
                cssStyle: 'margin-top:5px',
                toolTipContent: zxMsg('MSG_DLG_show_report_for_admin_tooltip'),
                onActivate: ZxAdmin.doShowMonthlyReport
              }
            ]
          }
        ]
      }
    ]
  },
  {
    type: _GROUP_,
    numCols: 1,
    colSizes: ['*'],
    width: '100%',
    tableCssStyle: 'width:100%;overflow:auto;padding-right:15px;padding-left:15px;',
    items: [
      {
        type: _TOP_GROUPER_,
        label: zxMsg('LBL_DLG_delegated_admins'),
        numCols: 1,
        colSizes: ['*'],
        align: _LEFT_,
        items: [
          {
            type: _ZX_LIST_VIEW_,
            id: ZxAdmin.ID_LIST_DELEGATED_ADMINS,
            ref: 'attrs/' + ZxAdmin.KEY_LIMITS,
            headerList: ZxAdmin.getDelegatedAdminsHeaderList(),
            filterEnabled: true,
            navigationEnabled: true
          }
        ]
      }
//      {
//        type: _TOP_GROUPER_,
//        label: zxMsg('LBL_DLG_Quota_Usage'),
//        numCols: 1,
//        colSizes: ['*'],
//        align: _LEFT_,
//        items: [
//          {
//            type: _GROUP_,
//            numCols: 6,
//            width: '100%',
//            colSizes: ['*', 100, 50, 10, 50, 100],
//            items: [
//              {type: _CELL_SPACER_},
//              {
//                type: _DWT_BUTTON_,
//                label: ZaMsg.Previous,
//                width: 100,
//                icon: 'LeftArrow',
//                disIcon: 'LeftArrowDis',
//                onActivate: ZxAdmin.goPrevPage_mbx,
//                enableDisableChangeEventSources: [
//                  'attrs/' + ZxAdmin.KEY_QUOTA_PAGE
//                ],
//                enableDisableChecks: [function() {
//                  var page = this.getInstanceValue('attrs/' + ZxAdmin.KEY_QUOTA_PAGE);
//                  page = page || 0;
//                  return page > 0 || true;
//                }]
//              },
//              {
//                type: _OUTPUT_,
//                align: _RIGHT_,
//                value: '0',
//                width: 50,
//                valueChangeEventSources: [
//                  'attrs/' + ZxAdmin.KEY_QUOTA_TOTAL,
//                  'attrs' + ZxAdmin.KEY_QUOTA_PAGE
//                ],
//                getDisplayValue: function(val) {
//                  val = val || 0;
//                  var total = this.getInstanceValue('attrs/' + ZxAdmin.KEY_QUOTA_TOTAL),
//                    start = (val * ZxAdmin.MBOX_LIMIT_ON_VIEW) + 1,
//                    end = start + (ZxAdmin.MBOX_LIMIT_ON_VIEW - 1);
//                  if (total === 0) {
//                    return 0;
//                  }
//                  if (end > total) {
//                    return [start, total].join(' - ');
//                  } else {
//                    return [start, end].join(' - ');
//                  }
//                }
//              },
//              {
//                type: _OUTPUT_,
//                align: _CENTER_,
//                value: ' /'
//              },
//              {
//                type: _OUTPUT_,
//                align: _LEFT_,
//                value: '0',
//                width: 50,
//                valueChangeEventSources: [
//                  'attrs/' + ZxAdmin.KEY_QUOTA_TOTAL
//                ],
//                getDisplayValue: function(val) {
//                  var total = this.getInstanceValue('attrs/' + ZxAdmin.KEY_QUOTA_TOTAL);
//                  return total;
//                }
//              },
//              {
//                type: _DWT_BUTTON_,
//                label: ZaMsg.Next,
//                width: 100,
//                icon: 'RightArrow',
//                disIcon: 'RightArrowDis',
//                onActivate: ZxAdmin.goNextPage_mbx,
//                enableDisableChangeEventSources: [
//                  'attrs/' + ZxAdmin.KEY_QUOTA_PAGE,
//                  'attrs/' + ZxAdmin.KEY_QUOTA_TOTAL
//                ],
//                enableDisableChecks: [function() {
//                  var page = this.getInstanceValue('attrs/' + ZxAdmin.KEY_QUOTA_PAGE),
//                    total = this.getInstanceValue('attrs/' + ZxAdmin.KEY_QUOTA_TOTAL),
//                    start,
//                    end;
//                  page = page || 0;
//                  start = (page * ZxAdmin.MBOX_LIMIT_ON_VIEW) + 1;
//                  end = start + (ZxAdmin.MBOX_LIMIT_ON_VIEW - 1);
//                  return end < total || true;
//                }]
//              }
//            ]
//          },
//          {type: _SPACER_, height: 3},
//          {
//            ref: 'attrs/' + ZxAdmin.KEY_QUOTA,
//            type: _DWT_LIST_,
//            width: '100%',
//            forceUpdate: true,
//            widgetClass: ZxServerMbxListView,
//            headerList: ZxAdmin.getQuoteHeaderList()
//          }
//        ]
//      }
    ]
  }
];
