/*
 * ***** BEGIN LICENSE BLOCK *****
 * Copyright (C) 2011-2016 ZeXtras
 *
 * The contents of this file are subject to the ZeXtras EULA;
 * you may not use this file except in compliance with the EULA.
 * You may obtain a copy of the EULA at
 * http://www.zextras.com/zextras-eula.html
 * ***** END LICENSE BLOCK *****
 */

function ZxLogListView() {
  DwtListView.apply(this, arguments);
  this.addSelectionListener(new AjxListener(this, this._listSelectionListener));
}

ZxLogListView.prototype = new DwtListView();
ZxLogListView.prototype.constructor = ZxLogListView;

ZxLogListView.prototype._getCellContents = function (htmlArr, idx, item, field, colIdx, params) {
  htmlArr[idx++] = item[colIdx].toString ? item[colIdx].toString() : item[colIdx];
  return idx;
};

ZxLogListView.prototype._getRowClass = function (item, params) {
  if (item[4] === true) {
    return 'ZXAdminActionSuccess';
  }

  return 'ZXAdminActionFailure';
};

ZxLogListView.getHeaderList = function () {
  var headerList = [];
  // TODO: translate these!
  headerList.push(new ZaListHeaderItem('ZXAAdmin', 'Admin', null, null, null, null, true, true));
  headerList.push(new ZaListHeaderItem('ZXAAction', 'Action', null, null, null, null, true, true));
  headerList.push(new ZaListHeaderItem('ZXATime', 'Time', null, '130px', null, null, true, true));
  headerList.push(new ZaListHeaderItem('ZXAClientIP', 'ClientIP', null, null, null, null, true, true));
  //headerList.push(new ZaListHeaderItem("ZXASuccess" , "Success" , null, null, null, null, true, true));
  return headerList;
};
