/*
 * ***** BEGIN LICENSE BLOCK *****
 * Copyright (C) 2011-2016 ZeXtras
 *
 * The contents of this file are subject to the ZeXtras EULA;
 * you may not use this file except in compliance with the EULA.
 * You may obtain a copy of the EULA at
 * http://www.zextras.com/zextras-eula.html
 * ***** END LICENSE BLOCK *****
 */
var ZxChatModel = [
  {type: _STRING_, id: ZxChat.KEY_STATUS,
    ref: 'attrs/' + ZxChat.KEY_STATUS},
  {type: _STRING_, id: ZxChat.KEY_IS_RUNNING,
    ref: 'attrs/' + ZxChat.KEY_IS_RUNNING},
  {type: _STRING_, id: ZxChat.KEY_CORE_VERSION_CURRENT,
    ref: 'attrs/' + ZxChat.KEY_CORE_VERSION_CURRENT},
  {type: _STRING_, id: ZxChat.KEY_CORE_VERSION_MINIMUM,
    ref: 'attrs/' + ZxChat.KEY_CORE_VERSION_MINIMUM},

  {type: _ENUM_, id: ZxChat.KEY_USE_LEGACY_SSL_PORT,
    ref: 'attrs/properties/' + ZxChat.KEY_USE_LEGACY_SSL_PORT,
    choices: ZaModel.BOOLEAN_CHOICES1},
  {type: _ENUM_, id: ZxChat.KEY_ALLOW_UNENCRYPTED_PASSWORD,
    ref: 'attrs/properties/' + ZxChat.KEY_ALLOW_UNENCRYPTED_PASSWORD,
    choices: ZaModel.BOOLEAN_CHOICES1},
  {type: _ENUM_, id: ZxChat.KEY_DISABLE_HISTORY,
    ref: 'attrs/properties/' + ZxChat.KEY_DISABLE_HISTORY,
    choices: ZaModel.BOOLEAN_CHOICES1},

  {type: _ENUM_, id: ZxChat.KEY_INFO_ZIMLET_FOUND,
    ref: 'attrs/info/' + ZxChat.KEY_INFO_ZIMLET_FOUND,
    choices: ZaModel.BOOLEAN_CHOICES1},
  {type: _STRING_, id: ZxChat.KEY_INFO_ZIMLET_VERSION,
    ref: 'attrs/info/' + ZxChat.KEY_INFO_ZIMLET_VERSION},
  {type: _STRING_, id: ZxChat.KEY_INFO_ZIMLET_AVAILABLE_VERSION,
    ref: 'attrs/info/' + ZxChat.KEY_INFO_ZIMLET_AVAILABLE_VERSION},

  {type: _ENUM_, id: ZxChat.KEY_STATS_ACTIVE_USER_COUNT,
    ref: 'attrs/stats/' + ZxChat.KEY_STATS_ACTIVE_USER_COUNT},
  {type: _ENUM_, id: ZxChat.KEY_STATS_ACTIVE_SESSION_COUNT,
    ref: 'attrs/stats/' + ZxChat.KEY_STATS_ACTIVE_SESSION_COUNT},
  {type: _ENUM_, id: ZxChat.KEY_STATS_DB_VERSION,
    ref: 'attrs/stats/' + ZxChat.KEY_STATS_DB_VERSION}
];
