/*
 * ***** BEGIN LICENSE BLOCK *****
 * Copyright (C) 2011-2016 ZeXtras
 *
 * The contents of this file are subject to the ZeXtras EULA;
 * you may not use this file except in compliance with the EULA.
 * You may obtain a copy of the EULA at
 * http://www.zextras.com/zextras-eula.html
 * ***** END LICENSE BLOCK *****
 */

var ZxCoreModel = [
  {type: _ENUM_, id: ZxCore.KEY_MOBILE_HANDLER_REGISTERED,
    ref: 'attrs/' + ZxCore.KEY_MOBILE_HANDLER_REGISTERED},

  {type: _STRING_, id: ZxCore.KEY_NOTIFICATION_TO,
    ref: 'attrs/properties/' + ZxCore.KEY_NOTIFICATION_TO},
  {type: _STRING_, id: ZxCore.KEY_NOTIFICATION_FROM,
    ref: 'attrs/properties/' + ZxCore.KEY_NOTIFICATION_FROM},
  {type: _STRING_, id: ZxCore.KEY_NOTIFICATION_LICENSE_ADDITIONAL,
    ref: 'attrs/properties/' + ZxCore.KEY_NOTIFICATION_LICENSE_ADDITIONAL},
  {type: _ENUM_, id: ZxCore.KEY_NOTIFICATION_LEVEL,
    ref: 'attrs/properties/' + ZxCore.KEY_NOTIFICATION_LEVEL},
  {type: _ENUM_, id: ZxCore.KEY_LOG_LEVEL,
    ref: 'attrs/properties/' + ZxCore.KEY_LOG_LEVEL},
  {type: _ENUM_, id: ZxCore.KEY_NOTIFY_UPDATES,
    ref: 'attrs/properties/' + ZxCore.KEY_NOTIFY_UPDATES,
    choices: ZaModel.BOOLEAN_CHOICES1},
  {type: _ENUM_, id: ZxCore.KEY_SEND_FULL_ERROR_REPORTS,
    ref: 'attrs/properties/' + ZxCore.KEY_SEND_FULL_ERROR_REPORTS,
    choices: ZaModel.BOOLEAN_CHOICES1},

  {type: _ENUM_, id: ZxCore.KEY_OVERRIDE_NE_MOBILE,
    ref: 'attrs/properties/' + ZxCore.KEY_OVERRIDE_NE_MOBILE,
    choices: ZaModel.BOOLEAN_CHOICES1},
  {type: _ENUM_, id: ZxCore.KEY_OVERRIDE_NE_POWERSTORE,
    ref: 'attrs/properties/' + ZxCore.KEY_OVERRIDE_NE_POWERSTORE,
    choices: ZaModel.BOOLEAN_CHOICES1},

  {type: _STRING_, id: ZxCore.KEY_LICENSE_STATUS,
    ref: 'attrs/license/' + ZxCore.KEY_LICENSE_STATUS},
  {type: _ENUM_, id: ZxCore.KEY_LICENSE_EXPIRED,
    ref: 'attrs/license/' + ZxCore.KEY_LICENSE_EXPIRED,
    choices: ZaModel.BOOLEAN_CHOICES1},
  {type: _STRING_, id: ZxCore.KEY_LICENSE_TYPE,
    ref: 'attrs/license/' + ZxCore.KEY_LICENSE_TYPE},
  {type: _STRING_, id: ZxCore.KEY_LICENSE_COMPANY,
    ref: 'attrs/license/' + ZxCore.KEY_LICENSE_COMPANY},
  {type: _STRING_, id: ZxCore.KEY_LICENSE_RESELLER,
    ref: 'attrs/license/' + ZxCore.KEY_LICENSE_RESELLER},
  {type: _STRING_, id: ZxCore.KEY_LICENSE_CUSTOMER,
    ref: 'attrs/license/' + ZxCore.KEY_LICENSE_CUSTOMER},
  {type: _DATE_, id: ZxCore.KEY_LICENSE_DATE_START,
    ref: 'attrs/license/' + ZxCore.KEY_LICENSE_DATE_START},
  {type: _STRING_, id: ZxCore.KEY_LICENSE_DATE_START_TEXT,
    ref: 'attrs/license/' + ZxCore.KEY_LICENSE_DATE_START_TEXT},
  {type: _DATE_, id: ZxCore.KEY_LICENSE_DATE_END,
    ref: 'attrs/license/' + ZxCore.KEY_LICENSE_DATE_END},
  {type: _STRING_, id: ZxCore.KEY_LICENSE_DATE_END_TEXT,
    ref: 'attrs/license/' + ZxCore.KEY_LICENSE_DATE_END_TEXT},
  {type: _STRING_, id: ZxCore.KEY_LICENSE_ORDER_ID,
    ref: 'attrs/license/' + ZxCore.KEY_LICENSE_ORDER_ID},
  {type: _INT_, id: ZxCore.KEY_LICENSE_LICENSED_USER,
    ref: 'attrs/license/' + ZxCore.KEY_LICENSE_LICENSED_USER},
  {type: _INT_, id: ZxCore.KEY_LICENSE_COUNT_TOTAL,
    ref: 'attrs/license/' + ZxCore.KEY_LICENSE_COUNT_TOTAL},
  {type: _INT_, id: ZxCore.KEY_LICENSE_COUNT_ACCOUNT,
    ref: 'attrs/license/' + ZxCore.KEY_LICENSE_COUNT_ACCOUNT},
  {type: _STRING_, id: ZxCore.KEY_LICENSE_COUNT_ACCOUNT_TEXT,
    ref: 'attrs/license/' + ZxCore.KEY_LICENSE_COUNT_ACCOUNT_TEXT},
  {type: _STRING_, id: ZxCore.KEY_LICENSE_ZIMBRA_VERSION,
    ref: 'attrs/license/' + ZxCore.KEY_LICENSE_ZIMBRA_VERSION},

  {type: _INT_, id: ZxCore.KEY_LICENSE_COUNT_RESOURCE,
    ref: 'attrs/license/' + ZxCore.KEY_LICENSE_COUNT_RESOURCE},
  {type: _STRING_, id: ZxCore.KEY_LICENSE_LICENSED_USER_TEXT,
    ref: 'attrs/license/' + ZxCore.KEY_LICENSE_LICENSED_USER_TEXT},

  {type: _STRING_, id: ZxCore.KEY_LICENSE_ZXADMIN,
    ref: 'attrs/license/modules/' + ZxCore.KEY_LICENSE_ZXADMIN},
  {type: _STRING_, id: ZxCore.KEY_LICENSE_ZXBACKUP,
    ref: 'attrs/license/modules/' + ZxCore.KEY_LICENSE_ZXBACKUP},
  {type: _STRING_, id: ZxCore.KEY_LICENSE_ZXCHAT,
    ref: 'attrs/license/modules/' + ZxCore.KEY_LICENSE_ZXCHAT},
  {type: _STRING_, id: ZxCore.KEY_LICENSE_ZXMOBILE,
    ref: 'attrs/license/modules/' + ZxCore.KEY_LICENSE_ZXMOBILE},
  {type: _STRING_, id: ZxCore.KEY_LICENSE_ZXPOWERSTORE,
    ref: 'attrs/license/modules/' + ZxCore.KEY_LICENSE_ZXPOWERSTORE},

  {type: _BOOL_, id: ZxCore.KEY_RUNNING_MODS + '_' + ZxCore.KEY_LICENSE_ZXADMIN,
    ref: 'attrs/' + ZxCore.KEY_RUNNING_MODS + '/' + ZxCore.KEY_LICENSE_ZXADMIN},
  {type: _BOOL_, id: ZxCore.KEY_RUNNING_MODS + '_' + ZxCore.KEY_LICENSE_ZXBACKUP,
    ref: 'attrs/' + ZxCore.KEY_RUNNING_MODS + '/' + ZxCore.KEY_LICENSE_ZXBACKUP},
  {type: _BOOL_, id: ZxCore.KEY_RUNNING_MODS + '_' + ZxCore.KEY_LICENSE_ZXCHAT,
    ref: 'attrs/' + ZxCore.KEY_RUNNING_MODS + '/' + ZxCore.KEY_LICENSE_ZXCHAT},
  {type: _BOOL_, id: ZxCore.KEY_RUNNING_MODS + '_' + ZxCore.KEY_LICENSE_ZXMOBILE,
    ref: 'attrs/' + ZxCore.KEY_RUNNING_MODS + '/' + ZxCore.KEY_LICENSE_ZXMOBILE},
  {type: _BOOL_, id: ZxCore.KEY_RUNNING_MODS + '_' + ZxCore.KEY_LICENSE_ZXPOWERSTORE,
    ref: 'attrs/' + ZxCore.KEY_RUNNING_MODS + '/' + ZxCore.KEY_LICENSE_ZXPOWERSTORE},

  {type: _BOOL_, id: ZxCore.KEY_ENABLED_ON_STARTUP_MODS + '_' + ZxCore.KEY_LICENSE_ZXADMIN,
    ref: 'attrs/' + ZxCore.KEY_ENABLED_ON_STARTUP_MODS + '/' + ZxCore.KEY_LICENSE_ZXADMIN},
  {type: _BOOL_, id: ZxCore.KEY_ENABLED_ON_STARTUP_MODS + '_' + ZxCore.KEY_LICENSE_ZXBACKUP,
    ref: 'attrs/' + ZxCore.KEY_ENABLED_ON_STARTUP_MODS + '/' + ZxCore.KEY_LICENSE_ZXBACKUP},
  {type: _BOOL_, id: ZxCore.KEY_ENABLED_ON_STARTUP_MODS + '_' + ZxCore.KEY_LICENSE_ZXCHAT,
    ref: 'attrs/' + ZxCore.KEY_ENABLED_ON_STARTUP_MODS + '/' + ZxCore.KEY_LICENSE_ZXCHAT},
  {type: _BOOL_, id: ZxCore.KEY_ENABLED_ON_STARTUP_MODS + '_' + ZxCore.KEY_LICENSE_ZXMOBILE,
    ref: 'attrs/' + ZxCore.KEY_ENABLED_ON_STARTUP_MODS + '/' + ZxCore.KEY_LICENSE_ZXMOBILE},
  {type: _BOOL_, id: ZxCore.KEY_ENABLED_ON_STARTUP_MODS + '_' + ZxCore.KEY_LICENSE_ZXPOWERSTORE,
    ref: 'attrs/' + ZxCore.KEY_ENABLED_ON_STARTUP_MODS + '/' + ZxCore.KEY_LICENSE_ZXPOWERSTORE},

  {type: _STRING_, id: ZxCore.KEY_UPDATE_AVAILABLE,
    ref: 'attrs/updateinfo/' + ZxCore.KEY_UPDATE_AVAILABLE},
  {type: _STRING_, id: ZxCore.KEY_UPDATE_CURRENT_VERSION,
    ref: 'attrs/updateinfo/' + ZxCore.KEY_UPDATE_CURRENT_VERSION},
  {type: _STRING_, id: ZxCore.KEY_UPDATE_LAST_UPDATE,
    ref: 'attrs/updateinfo/' + ZxCore.KEY_UPDATE_LAST_UPDATE}
];
