/*
 * ***** BEGIN LICENSE BLOCK *****
 * Copyright (C) 2011-2016 ZeXtras
 *
 * The contents of this file are subject to the ZeXtras EULA;
 * you may not use this file except in compliance with the EULA.
 * You may obtain a copy of the EULA at
 * http://www.zextras.com/zextras-eula.html
 * ***** END LICENSE BLOCK *****
 */

function ZxMobileAccountModifier() {
}

if (ZaAccount) {
  ZaAccount.A_zimbraFeatureMobileSyncEnabled = 'zimbraFeatureMobileSyncEnabled';

  // ZaAccount.A_zimbraMobilePolicyPasswordRecoveryEnabled = 'zimbraMobilePolicyPasswordRecoveryEnabled';
  ZaAccount.A_zimbraMobilePolicyMinDevicePasswordLength = 'zimbraMobilePolicyMinDevicePasswordLength';
  ZaAccount.A_zimbraMobilePolicyMinDevicePasswordComplexCharacters = 'zimbraMobilePolicyMinDevicePasswordComplexCharacters';
  ZaAccount.A_zimbraMobilePolicyMaxDevicePasswordFailedAttempts = 'zimbraMobilePolicyMaxDevicePasswordFailedAttempts';
  ZaAccount.A_zimbraMobilePolicyDevicePasswordEnabled = 'zimbraMobilePolicyDevicePasswordEnabled';
  ZaAccount.A_zimbraMobilePolicyAllowSimpleDevicePassword = 'zimbraMobilePolicyAllowSimpleDevicePassword';
  ZaAccount.A_zimbraMobilePolicyAlphanumericDevicePasswordRequired = 'zimbraMobilePolicyAlphanumericDevicePasswordRequired';
  ZaAccount.A_zimbraMobilePolicyDevicePasswordExpiration = 'zimbraMobilePolicyDevicePasswordExpiration';
  ZaAccount.A_zimbraMobilePolicyDevicePasswordHistory = 'zimbraMobilePolicyDevicePasswordHistory';
  ZaAccount.A_zimbraMobilePolicyMaxInactivityTimeDeviceLock = 'zimbraMobilePolicyMaxInactivityTimeDeviceLock';

  ZaAccount.A_zimbraMobilePolicyAllowBluetooth = 'zimbraMobilePolicyAllowBluetooth';
  ZaAccount.A_zimbraMobilePolicyAllowBrowser = 'zimbraMobilePolicyAllowBrowser';
  ZaAccount.A_zimbraMobilePolicyAllowConsumerEmail = 'zimbraMobilePolicyAllowConsumerEmail';
  ZaAccount.A_zimbraMobilePolicyAllowCamera = 'zimbraMobilePolicyAllowCamera';
  ZaAccount.A_zimbraMobilePolicyAllowDesktopSync = 'zimbraMobilePolicyAllowDesktopSync';
  ZaAccount.A_zimbraMobilePolicyAllowHTMLEmail = 'zimbraMobilePolicyAllowHTMLEmail';
  ZaAccount.A_zimbraMobilePolicyAllowInternetSharing = 'zimbraMobilePolicyAllowInternetSharing';
  ZaAccount.A_zimbraMobilePolicyAllowIrDA = 'zimbraMobilePolicyAllowIrDA';
  ZaAccount.A_zimbraMobilePolicyAllowPOPIMAPEmail = 'zimbraMobilePolicyAllowPOPIMAPEmail';
  ZaAccount.A_zimbraMobilePolicyAllowRemoteDesktop = 'zimbraMobilePolicyAllowRemoteDesktop';

  // 'Algorithm negotiation'
  ZaAccount.A_zimbraMobilePolicyAllowSMIMEEncryptionAlgorithmNegotiation = 'zimbraMobilePolicyAllowSMIMEEncryptionAlgorithmNegotiation';
  ZaAccount.A_zimbraMobilePolicyAllowSMIMESoftCerts = 'zimbraMobilePolicyAllowSMIMESoftCerts';
  ZaAccount.A_zimbraMobilePolicyAllowStorageCard = 'zimbraMobilePolicyAllowStorageCard';
  ZaAccount.A_zimbraMobilePolicyAllowTextMessaging = 'zimbraMobilePolicyAllowTextMessaging';
  ZaAccount.A_zimbraMobilePolicyAllowUnsignedApplications = 'zimbraMobilePolicyAllowUnsignedApplications';
  ZaAccount.A_zimbraMobilePolicyAllowUnsignedInstallationPackages = 'zimbraMobilePolicyAllowUnsignedInstallationPackages';
  ZaAccount.A_zimbraMobilePolicyAllowWiFi = 'zimbraMobilePolicyAllowWiFi';

  // 'past calendar items sync'd'
  ZaAccount.A_zimbraMobilePolicyMaxCalendarAgeFilter = 'zimbraMobilePolicyMaxCalendarAgeFilter';

  // 'corresponds to 'past email items sync'd'
  ZaAccount.A_zimbraMobilePolicyMaxEmailAgeFilter = 'zimbraMobilePolicyMaxEmailAgeFilter';
  ZaAccount.A_zimbraMobilePolicyMaxEmailBodyTruncationSize = 'zimbraMobilePolicyMaxEmailBodyTruncationSize';
  ZaAccount.A_zimbraMobilePolicyMaxEmailHTMLBodyTruncationSize = 'zimbraMobilePolicyMaxEmailHTMLBodyTruncationSize';
  ZaAccount.A_zimbraMobilePolicyRequireDeviceEncryption = 'zimbraMobilePolicyRequireDeviceEncryption';
  ZaAccount.A_zimbraMobilePolicyRequireEncryptedSMIMEMessages = 'zimbraMobilePolicyRequireEncryptedSMIMEMessages';
  ZaAccount.A_zimbraMobilePolicyRequireEncryptionSMIMEAlgorithm = 'zimbraMobilePolicyRequireEncryptionSMIMEAlgorithm';
  ZaAccount.A_zimbraMobilePolicyRequireManualSyncWhenRoaming = 'zimbraMobilePolicyRequireManualSyncWhenRoaming';
  ZaAccount.A_zimbraMobilePolicyRequireSignedSMIMEMessages = 'zimbraMobilePolicyRequireSignedSMIMEMessages';
  ZaAccount.A_zimbraMobilePolicyRequireSignedSMIMEAlgorithm = 'zimbraMobilePolicyRequireSignedSMIMEAlgorithm';

  /* Missing Provisioning.A_zimbraMobilePolicySuppressDeviceEncryption */

  ZaAccount.A_zimbraFeatureMobilePolicyEnabled = 'zimbraFeatureMobilePolicyEnabled';
  ZaAccount.A_zimbraMobilePolicyAllowNonProvisionableDevices = 'zimbraMobilePolicyAllowNonProvisionableDevices';
  ZaAccount.A_zimbraMobilePolicyAllowPartialProvisioning = 'zimbraMobilePolicyAllowPartialProvisioning';
  ZaAccount.A_zimbraMobilePolicyRefreshInterval = 'zimbraMobilePolicyRefreshInterval';
  ZaAccount.A_zimbraMobilePolicyDeviceEncryptionEnabled = 'zimbraMobilePolicyDeviceEncryptionEnabled';
  ZaAccount.A_zimbraMobilePolicyEnableSMIMEEncryptionAndSigning = 'zimbraMobilePolicyEnableSMIMEEncryptionAndSigning';
  ZaAccount.A_zimbraMobilePolicyApprovedApplication = 'zimbraMobilePolicyApprovedApplication';
  ZaAccount.A_zimbraMobilePolicyUnapprovedInROMApplication = 'zimbraMobilePolicyUnapprovedInROMApplication';
  ZaAccount.A_zimbraMobilePolicyApprovedApplicationList = 'zimbraMobilePolicyApprovedApplicationList';
  ZaAccount.A_BlockedAppSelection = 'blocked_app_selection';
  ZaAccount.A_ApprovedAppName = 'approved_app_name';
  ZaAccount.A_ApprovedAppSelection = 'approved_app_selection';
  ZaAccount.A_BlockedAppName = 'blocked_app_name';
  ZaAccount.A_ApprovedAppHash = 'approved_app_hash';
  ZaAccount.A_zimbraMobileDeviceSelected = 'zimbraMobileDeviceSelected';
  ZaAccount.A_wipeEnabled = 'wipeEnabled';
  ZaAccount.A_zimbraMobileSync = 'zimbraMobileSync';
  ZaAccount.A_resumeSyncEnabled = 'resumeSyncEnabled';
}

ZxMobileAccountModifier.NEW_PANEL = true;

ZxMobileAccountModifier.MODEL = [
  {id: ZxMobile.A_enableDevicePassword,
    type: _ENUM_, ref: 'attrs/' + ZxMobile.A_enableDevicePassword,
    choices: ZaModel.BOOLEAN_CHOICES,
    isZX: true},
  {id: ZxMobile.A_devicePassword,
    type: _SECRET_, ref: 'attrs/' + ZxMobile.A_devicePassword,
    isZX: true},
  {id: ZxMobile.A_devicePasswordConfirm,
    type: _SECRET_, ref: 'attrs/' + ZxMobile.A_devicePasswordConfirm,
    isZX: true},
  {id: ZxMobile.A_devicesList, ref: 'attrs/' + ZxMobile.A_devicesList,
    isZX: true},
  {id: ZxMobile.KEY_PROVISIONING_ENABLED, ref: 'attrs/' + ZxMobile.KEY_PROVISIONING_ENABLED,
    isZX: true},

  {id: ZaAccount.A_zimbraFeatureMobileSyncEnabled,
    type: _COS_ENUM_, ref: 'attrs/' + ZaAccount.A_zimbraFeatureMobileSyncEnabled,
    choices: ZaModel.BOOLEAN_CHOICES},
  {id: ZaAccount.A_zimbraFeatureMobilePolicyEnabled,
    type: _COS_ENUM_, ref: 'attrs/' + ZaAccount.A_zimbraFeatureMobilePolicyEnabled,
    choices: ZaModel.BOOLEAN_CHOICES},
  {id: ZaAccount.A_zimbraMobilePolicyAllowNonProvisionableDevices,
    type: _COS_ENUM_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyAllowNonProvisionableDevices,
    choices: ZaModel.BOOLEAN_CHOICES},
  {id: ZaAccount.A_zimbraMobilePolicyAllowPartialProvisioning,
    type: _COS_ENUM_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyAllowPartialProvisioning,
    choices: ZaModel.BOOLEAN_CHOICES},

//  {id: ZaAccount.A_zimbraMobilePolicyPasswordRecoveryEnabled,
//    type: _COS_ENUM_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyPasswordRecoveryEnabled,
//    choices: ZaModel.BOOLEAN_CHOICES},
  {id: ZaAccount.A_zimbraMobilePolicyMinDevicePasswordLength,
    type: _COS_INT_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyMinDevicePasswordLength,
    minInclusive: 1},
  {id: ZaAccount.A_zimbraMobilePolicyMinDevicePasswordComplexCharacters,
    type: _COS_INT_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyMinDevicePasswordComplexCharacters,
    minInclusive: 0},
  {id: ZaAccount.A_zimbraMobilePolicyMaxDevicePasswordFailedAttempts,
    type: _COS_INT_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyMaxDevicePasswordFailedAttempts,
    minInclusive: 0},
  {id: ZaAccount.A_zimbraMobilePolicyDevicePasswordEnabled,
    type: _COS_ENUM_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyDevicePasswordEnabled,
    choices: ZaModel.BOOLEAN_CHOICES},
  {id: ZaAccount.A_zimbraMobilePolicyAllowSimpleDevicePassword,
    type: _COS_ENUM_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyAllowSimpleDevicePassword,
    choices: ZaModel.BOOLEAN_CHOICES},
  {id: ZaAccount.A_zimbraMobilePolicyAlphanumericDevicePasswordRequired,
    type: _COS_ENUM_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyAlphanumericDevicePasswordRequired,
    choices: ZaModel.BOOLEAN_CHOICES},
  {id: ZaAccount.A_zimbraMobilePolicyDevicePasswordExpiration,
    type: _COS_INT_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyDevicePasswordExpiration,
    minInclusive: 0},
  {id: ZaAccount.A_zimbraMobilePolicyDevicePasswordHistory,
    type: _COS_INT_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyDevicePasswordHistory,
    minInclusive: 0},
  {id: ZaAccount.A_zimbraMobilePolicyMaxInactivityTimeDeviceLock,
    type: _COS_INT_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyMaxInactivityTimeDeviceLock,
    minInclusive: 0},

  {id: ZaAccount.A_zimbraMobilePolicyRefreshInterval,
    type: _COS_INT_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyRefreshInterval,
    minInclusive: 0},
  {id: ZaAccount.A_zimbraMobilePolicyDeviceEncryptionEnabled,
    type: _COS_ENUM_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyDeviceEncryptionEnabled,
    choices: ZaModel.BOOLEAN_CHOICES},
  {id: ZaAccount.A_zimbraMobilePolicyEnableSMIMEEncryptionAndSigning,
    type: _COS_ENUM_, choices: ZaModel.BOOLEAN_CHOICES1},
  {id: ZaAccount.A_zimbraMobilePolicyApprovedApplication,
    type: _LIST_, listItem: {type: _STRING_},
    ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyApprovedApplication},
  {id: ZaAccount.A_zimbraMobilePolicyUnapprovedInROMApplication,
    type: _LIST_, listItem: {type: _STRING_},
    ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyUnapprovedInROMApplication},
  {id: ZaAccount.A_zimbraMobilePolicyApprovedApplicationList,
    type: _LIST_, listItem: {type: _STRING_},
    ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyApprovedApplicationList},
  {id: ZaAccount.A_ApprovedAppSelection, type: _LIST_, dataType: _STRING_},
  {id: ZaAccount.A_BlockedAppSelection, type: _LIST_, dataType: _STRING_},
  {id: ZaAccount.A_zimbraMobileSync, type: _LIST_, dataType: _STRING_},
  {id: ZaAccount.A_zimbraMobileDeviceSelected},
  {id: ZaAccount.A_resumeSyncEnabled},
  {id: ZaAccount.A_wipeEnabled},

  {id: ZaAccount.A_zimbraMobilePolicyAllowBluetooth,
    type: _COS_ENUM_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyAllowBluetooth,
    choices: ZxMobile.BLUETOOTH_CHOICES, onlyZ8: true},
  {id: ZaAccount.A_zimbraMobilePolicyAllowBrowser,
    type: _COS_ENUM_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyAllowBrowser,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaAccount.A_zimbraMobilePolicyAllowCamera,
    type: _COS_ENUM_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyAllowCamera,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaAccount.A_zimbraMobilePolicyAllowConsumerEmail,
    type: _COS_ENUM_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyAllowConsumerEmail,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaAccount.A_zimbraMobilePolicyAllowDesktopSync,
    type: _COS_ENUM_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyAllowDesktopSync,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaAccount.A_zimbraMobilePolicyAllowHTMLEmail,
    type: _COS_ENUM_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyAllowHTMLEmail,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaAccount.A_zimbraMobilePolicyAllowInternetSharing,
    type: _COS_ENUM_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyAllowInternetSharing,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaAccount.A_zimbraMobilePolicyAllowIrDA,
    type: _COS_ENUM_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyAllowIrDA,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaAccount.A_zimbraMobilePolicyAllowPOPIMAPEmail,
    type: _COS_ENUM_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyAllowPOPIMAPEmail,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaAccount.A_zimbraMobilePolicyAllowRemoteDesktop,
    type: _COS_ENUM_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyAllowRemoteDesktop,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaAccount.A_zimbraMobilePolicyAllowSMIMEEncryptionAlgorithmNegotiation,
    type: _COS_INT_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyAllowSMIMEEncryptionAlgorithmNegotiation,
    choices: ZxMobile.SMIME_ALGORITHM_NEGOTIATION_CHOICES, onlyZ8: true},
  {id: ZaAccount.A_zimbraMobilePolicyAllowSMIMESoftCerts,
    type: _COS_INT_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyAllowSMIMESoftCerts,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaAccount.A_zimbraMobilePolicyAllowStorageCard,
    type: _COS_ENUM_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyAllowStorageCard,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaAccount.A_zimbraMobilePolicyAllowTextMessaging,
    type: _COS_ENUM_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyAllowTextMessaging,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaAccount.A_zimbraMobilePolicyAllowUnsignedApplications,
    type: _COS_ENUM_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyAllowUnsignedApplications,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaAccount.A_zimbraMobilePolicyAllowUnsignedInstallationPackages,
    type: _COS_ENUM_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyAllowUnsignedInstallationPackages,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaAccount.A_zimbraMobilePolicyAllowWiFi,
    type: _COS_ENUM_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyAllowWiFi,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaAccount.A_zimbraMobilePolicyMaxCalendarAgeFilter,
    type: _COS_ENUM_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyMaxCalendarAgeFilter,
    choices: ZxMobile.CALENDAR_AGE_FILTER_CHOICES, onlyZ8: true},
  {id: ZaAccount.A_zimbraMobilePolicyMaxEmailAgeFilter,
    type: _COS_ENUM_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyMaxEmailAgeFilter,
    choices: ZxMobile.EMAIL_AGE_FILTER_CHOICES, onlyZ8: true},
  {id: ZaAccount.A_zimbraMobilePolicyMaxEmailBodyTruncationSize,
    type: _COS_INT_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyMaxEmailBodyTruncationSize,
    minInclusive: -1, onlyZ8: true},
  {id: ZaAccount.A_zimbraMobilePolicyMaxEmailHTMLBodyTruncationSize,
    type: _COS_INT_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyMaxEmailHTMLBodyTruncationSize,
    minInclusive: -1, onlyZ8: true},
  {id: ZaAccount.A_zimbraMobilePolicyRequireDeviceEncryption,
    type: _COS_ENUM_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyRequireDeviceEncryption,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaAccount.A_zimbraMobilePolicyRequireEncryptedSMIMEMessages,
    type: _COS_INT_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyRequireEncryptedSMIMEMessages,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaAccount.A_zimbraMobilePolicyRequireEncryptionSMIMEAlgorithm,
    type: _COS_INT_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyRequireEncryptionSMIMEAlgorithm,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaAccount.A_zimbraMobilePolicyRequireManualSyncWhenRoaming,
    type: _COS_ENUM_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyRequireManualSyncWhenRoaming,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaAccount.A_zimbraMobilePolicyRequireSignedSMIMEAlgorithm,
    type: _COS_INT_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyRequireSignedSMIMEAlgorithm,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaAccount.A_zimbraMobilePolicyRequireSignedSMIMEMessages,
    type: _COS_INT_, ref: 'attrs/' + ZaAccount.A_zimbraMobilePolicyRequireSignedSMIMEMessages,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true}

];

ZxMobileAccountModifier.ATTRS = [];
ZxMobileAccountModifier.RIGHTS = [];

/**
 * Function invoked by the ZxAccountModifier when the tab is
 * opened.
 * @this {ZaAccount}
 */
ZxMobileAccountModifier.LOAD_ATTRS = function() {
  this.attrs[ZxMobile.A_enableDevicePassword] = 'FALSE'; // Setting the default value
  this.attrs[ZxMobile.A_devicesList] = [];
  this.attrs[ZxMobile.KEY_PROVISIONING_ENABLED] = false;

  this.setAttrs[ZxMobile.A_enableDevicePassword] = true; // Allow the delegated admin to modify these values
  this.setAttrs[ZxMobile.A_devicePassword] = true;
  this.setAttrs[ZxMobile.A_devicePasswordConfirm] = true;
  this.setAttrs[ZxMobile.KEY_PROVISIONING_ENABLED] = true;

  ZxAdminRequest.sendRequest(
    this.attrs[ZaAccount.A_mailHost],
    'ZxMobile',
    'getAccountMobilePassword',
    {
      account: this.name
    }
  ).then(AjxCallback.simpleClosure(
    function(resp) {
      if (resp instanceof ZxError) { return; }
      ZxFormModifier.setInstanceValue(
        this,
        resp.isSet ? 'TRUE' : 'FALSE',
        'attrs/' + ZxMobile.A_enableDevicePassword,
        true
      );
    },
    this
  ), ZxUtils.catchError);

  ZxAdminRequest.sendRequest(
    this.attrs[ZaAccount.A_mailHost],
    'ZxMobile',
    'getPublicProperties'
  ).then(AjxCallback.simpleClosure(
      function(resp) {
        if (resp instanceof ZxError) { return; }
        if (!resp || !resp.response || !resp.response.properties) { return; }
          var properties = resp.response.properties;
          ZxFormModifier.setInstanceValue(
            this,
            properties[ZxMobile.KEY_PROVISIONING_ENABLED] === 'true',
            'attrs/' + ZxMobile.KEY_PROVISIONING_ENABLED,
            true
          );
      },
      this
    ), ZxUtils.catchError);

  ZxAdminRequest.sendRequest(
    this.attrs[ZaAccount.A_mailHost],
    'ZxMobile',
    'getUserDeviceInfo',
    {
      accountName: this.name
    }
  ).then(AjxCallback.simpleClosure(
    function(resp) {
      if (resp instanceof ZxError) { return; }

      var response = resp.response,
        i,
        devices = [];

      for (i = 0; i < response.devices.length; i = i + 1) {
        var tmpDevice = {};
        tmpDevice[ZxMobile.COL_ID_DEVICE_ID] = response.devices[i].deviceId;
        tmpDevice[ZxMobile.COL_ID_REGISTERED] = ZxUtils.formatDateShort(new Date(response.devices[i].firstSeen));
        tmpDevice[ZxMobile.COL_ID_LAST_SEEN] = ZxUtils.formatDateShort(new Date(response.devices[i].lastSeen));
        tmpDevice[ZxMobile.COL_ID_DEVICE] = response.devices[i].deviceType;
        tmpDevice[ZxMobile.COL_ID_SERVER] = response.devices[i].server;
        tmpDevice[ZxMobile.COL_ID_STATUS] = ZxMobile.getDeviceStatusString(response.devices[i].status);
        devices.push(tmpDevice);
      }

      ZxFormModifier.setInstanceValue(
        this,
        devices,
        'attrs/' + ZxMobile.A_devicesList
      );
    },
    this
  ), ZxUtils.catchError);
};

ZxMobileAccountModifier.SAVE_ATTRS = function(prop, val) {
  ZxUtils.log({prop: prop, val: val}, 'Saving Value:');

  var server = this.attrs[ZaAccount.A_mailHost];

  if (prop === ZxMobile.A_enableDevicePassword) {
    if (val === 'TRUE') {
      ZxMobileAccountModifier._saveDevicePassword(
        server,
        this.name,
        arguments[2][ZxMobile.A_devicePassword],
        arguments[2][ZxMobile.A_devicePasswordConfirm]
      );

    } else {
      ZxAdminRequest.sendSyncRequest(
        server,
        'ZxMobile',
        'unsetAccountMobilePassword',
        {
          account: this.name
        }
      );
    }
  }

  if (prop === ZxMobile.A_devicePassword) {
    ZxMobileAccountModifier._saveDevicePassword(
      server,
      this.name,
      arguments[2][ZxMobile.A_devicePassword],
      arguments[2][ZxMobile.A_devicePasswordConfirm]
    );
  }
};

ZxMobileAccountModifier.getSessionsListHeader = function() {
  var headerList = [],
    position = 0,
    header;

  header = new ZaListHeaderItem(ZxMobile.COL_ID_DEVICE, zxMsg('LBL_MOB_Device'), null, '100px',
    false, ZxMobile.COL_ID_DEVICE, false, true);
  header.defaultPosition = position++;
  headerList.push(header);

  header = new ZaListHeaderItem(ZxMobile.COL_ID_DEVICE_ID, zxMsg('LBL_MOB_Device_id'), null, 'auto',
    false, ZxMobile.COL_ID_DEVICE_ID, false, true);
  header.defaultPosition = position++;
  headerList.push(header);

  header = new ZaListHeaderItem(ZxMobile.COL_ID_LAST_SEEN, zxMsg('LBL_MOB_Last_seen_on'), null, '125px',
    true, ZxMobile.COL_ID_LAST_SEEN, false, true);
  header.defaultPosition = position++;
  headerList.push(header);

  header = new ZaListHeaderItem(ZxMobile.COL_ID_REGISTERED, zxMsg('LBL_MOB_Registerd_on'), null, '125px',
    false, ZxMobile.COL_ID_REGISTERED, false, true);
  header.defaultPosition = position++;
  headerList.push(header);

  header = new ZaListHeaderItem(ZxMobile.COL_ID_STATUS, zxMsg('LBL_Status'), null, '100px',
    true, ZxMobile.COL_ID_STATUS, false, true);
  header.defaultPosition = position++;
  headerList.push(header);

  header = new ZaListHeaderItem(ZxMobile.COL_ID_SERVER, zxMsg('LBL_MOB_Server'), null, '100px',
    true, ZxMobile.COL_ID_SERVER, false, false);
  header.defaultPosition = position++;
  headerList.push(header);

  return headerList;
};

ZxMobileAccountModifier._saveDevicePassword = function(server, accountName, password, confirmation) {
  if (!password || password.length <= 0) {
    ZaApp.getInstance().getCurrentController().popupWarningDialog(
      zxMsg('MSG_MOB_Mobile_psw_enabled_but_not_set'),
      false
    );

  } else if (!confirmation || (password !== confirmation)) {
    ZaApp.getInstance().getCurrentController().popupWarningDialog(
      zxMsg('MSG_MOB_Password_and_confirm_do_not_match'),
      false
    );

  } else {
    ZxAdminRequest.sendSyncRequest(
      server,
      'ZxMobile',
      'setAccountMobilePassword',
      {
        account: accountName,
        password: password
      }
    );
  }
};

/**
 * Invoke the function to reset the server's device cache.
 * @param {DwtSelectionEvent} ev
 * @param {[]} selection
 */
ZxMobileAccountModifier.doResetDevice = function(ev, selection) {
  var host = this.getInstance().attrs[ZaAccount.A_mailHost] || 'localhost',
    item = ZeXtras.getModuleItem('ZxMobile', host);
  if (selection.length !== 1) {
    return;
  }
  selection = selection[0];
  if (item) {
    item._doResetDevice(
      this.getInstance().name,
      selection[ZxMobile.COL_ID_DEVICE_ID],
      selection[ZxMobile.COL_ID_SERVER]
    );
  }
};

/**
 * Invoke the function to show the device details.
 * @param {DwtSelectionEvent} ev
 * @param {[]} selection
 */
ZxMobileAccountModifier.doShowDeviceDetails = function(ev, selection) {
  if (ev instanceof DwtSelectionEvent &&
    ev.detail === DwtListView.ITEM_SELECTED &&
    ev.detail !== DwtListView.ITEM_DBL_CLICKED) { return; }

  var host = this.getInstance().attrs[ZaAccount.A_mailHost] || 'localhost',
    item = ZeXtras.getModuleItem('ZxMobile', host);
  selection = selection || [ev.item];
  selection[0].accountEmail = this.getInstance().name;
  if (selection.length !== 1) {
    return;
  }
  item._doShowDeviceDetails(selection[0]);
};

/**
 * Invoke the function to suspend the device synchronization.
 * @param {DwtSelectionEvent} ev
 * @param {[]} selection
 */
ZxMobileAccountModifier.doSuspendDeviceSync = function(ev, selection) {
  var host = this.getInstance().attrs[ZaAccount.A_mailHost] || 'localhost',
    item = ZeXtras.getModuleItem('ZxMobile', host);
  if (selection.length !== 1) {
    return;
  }
  selection = selection[0];
  item._doSuspendResumeDeviceSync(
    false,
    this.getInstance().name,
    selection[ZxMobile.COL_ID_DEVICE_ID],
    selection[ZxMobile.COL_ID_SERVER]
  );
};

/**
 * Invoke the function to resume the device synchronization.
 * @param {DwtSelectionEvent} ev
 * @param {[]} selection
 */
ZxMobileAccountModifier.doResumeDeviceSync = function(ev, selection) {
  var host = this.getInstance().attrs[ZaAccount.A_mailHost] || 'localhost',
    item = ZeXtras.getModuleItem(ZxMobile, host);
  if (selection.length !== 1) {
    return;
  }
  selection = selection[0];
  item._doSuspendResumeDeviceSync(
    true,
    this.getInstance().name,
    selection[ZxMobile.COL_ID_DEVICE_ID],
    selection[ZxMobile.COL_ID_SERVER]
  );
};

/**
 * Invoke the function to wipe the device data.
 * User should be scared to use this function.
 * @param {DwtSelectionEvent} ev
 * @param {[]} selection
 */
ZxMobileAccountModifier.doWipeDevice = function(ev, selection) {
  var host = this.getInstance().attrs[ZaAccount.A_mailHost] || 'localhost',
    item = ZeXtras.getModuleItem('ZxMobile', host);
  if (selection.length !== 1) {
    return;
  }
  selection = selection[0];
  item._doWipeDevice(
    this.getInstance().name,
    selection[ZxMobile.COL_ID_DEVICE_ID],
    selection[ZxMobile.COL_ID_SERVER]
  );
};

/**
 * Check used by visibility checks to inhibite provisioning if is enabled on server
 * module.
 * @return {boolean}
 * @this XFormItem
 */
ZxMobileAccountModifier.checkZxProvisioningEnabled = function() {
  return this.getInstanceValue(ZxMobile.KEY_PROVISIONING_ENABLED);
};

/**
 * Check used by visibility checks to inhibite provisioning if is disabled on server
 * module.
 * @return {boolean}
 * @this XFormItem
 */
ZxMobileAccountModifier.checkZxProvisioningNotEnabledOnServer = function() {
  var host = this.getInstance().attrs[ZaAccount.A_mailHost] || 'localhost',
    item = ZeXtras.getModuleItem('ZxMobile', host);

  if (item && item.attrs && item.attrs.properties && typeof item.attrs.properties[ZxMobile.KEY_PROVISIONING_ENABLED] !== "undefined") {
    return !item.attrs.properties[ZxMobile.KEY_PROVISIONING_ENABLED];
  } else {
    return false;
  }
};

ZxMobileAccountModifier.getSessionListButtons = function() {
  var array = [];

  array.push(new ZxListViewButton(
    'ZxReset',
    zxMsg('LBL_MOB_ResetDevice'),
    ZxMobileAccountModifier.doResetDevice
  ));

  array.push(new ZxListViewButton(
    'Information',
    zxMsg('LBL_details'),
    ZxMobileAccountModifier.doShowDeviceDetails
  ));

  array.push(new ZxListViewButton(
    'Pause',
    zxMsg('LBL_MOB_Suspend_sync'),
    ZxMobileAccountModifier.doSuspendDeviceSync
  ));

  array.push(new ZxListViewButton(
    'Play',
    zxMsg('LBL_MOB_Resume_sync'),
    ZxMobileAccountModifier.doResumeDeviceSync
  ));

  array.push(new ZxListViewButton(
    'MobileWipe',
    zxMsg('LBL_MOB_Wipe_device'),
    ZxMobileAccountModifier.doWipeDevice
  ));

  return array;
};

ZxMobileAccountModifier.jumpToMobileViewClosure = function() {
  var modController, item,
    host = this.getInstanceValue(ZaAccount.A_mailHost);

  if (!host) {
    return;
  }
  item = ZeXtras.getModuleItem('ZxMobile', host);
  if (!item) { return; }
  modController = item.getCurrentController();
  if (!item) { return; }

  ZaApp.getInstance().getCurrentController().switchToNextView(
    modController,
    modController.show,
      item || {}
  );
};
ZxMobileAccountModifier.getWarningTextClosure = function() {
  var host = this.getInstanceValue(ZaAccount.A_mailHost),
    provEnabled = this.getInstanceValue(ZxMobile.KEY_PROVISIONING_ENABLED);
  if (!host) {
    return;
  }
  if (provEnabled || provEnabled === 'TRUE') {
    return;
  } else {
    return zxMsg('MSG_MOB_zx_provisionig_disabled_account', [host]);
  }
};

ZxMobileAccountModifier.XFORM = {
  type: _GROUP_,
  numCols: 1,
  width: '100%',
  items: [
    {
      type: _GROUP_,
      cssClass: 'ZmSelectedHeaderBg',
      colSpan: '*',
      id: 'xform_header',
      items: [
        {
          type: _GROUP_,
          cssClass: 'ZxMobileSpacer',
          numCols: 2,
          width: '100%',
          colSizes: ['160px', '*'],
          align: _RIGHT_,
          items: [
            {
              type: _GROUP_,
              items: []
            },
            {
              type: _GROUP_,
              items: []
            }
          ]
        }
      ]
    },
    // Alerts
    {
      type: _ZX_ALERT_,
      cssClass: 'DwtTabTable',
      style: DwtAlert.WARNING,
      iconVisible: true,
      visibilityChangeEventSources: [
        'attrs/' + ZxModule.KEY_PROVISIONING_ENABLED
      ],
      visibilityChecks: [
        ZxMobileAccountModifier.checkZxProvisioningNotEnabledOnServer,
        ZxUtils.amIAdmin
      ],
      numCols: 2,
      items: [
          {
              type: _OUTPUT_,
              getDisplayValue: ZxMobileAccountModifier.getWarningTextClosure
          },
          {
              type: _DWT_BUTTON_,
              width: 250,
              icon: 'ZxMobile',
              label: zxMsg('LBL_MOB_View_Mobile'),
              onActivate: ZxMobileAccountModifier.jumpToMobileViewClosure
          }
      ]
    },
    // Mobile configurations
    {
      type: _TOP_GROUPER_,
      numCols: 2,
      colSizes: [275, '*'],
      label: zxMsg('LBL_MOB_Mobile_preferences'),
      items: [
        {
          type: _SUPER_CHECKBOX_,
          checkBoxLabel: zxMsg('MSG_MOB_Enable_sync_for_account'),
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS,
          ref: ZaAccount.A_zimbraFeatureMobileSyncEnabled,
          trueValue: 'TRUE',
          falseValue: 'FALSE',
          enableDisableChecks: [
            function() { return ZxUtils.amIAdmin(); }
          ]
        }
      ]
    },

    {
      type: _TOP_GROUPER_,
      label: zxMsg('LBL_MOB_Provisioning'),
      numCols: 2,
      colSizes: [275, '*'],
      enableDisableChangeEventSources: [
        ZaAccount.A_zimbraFeatureMobileSyncEnabled,
        'attrs/' + ZxMobile.KEY_PROVISIONING_ENABLED
      ],
      enableDisableChecks: [
        ZxMobile.checkMobileSyncEnabled,
        ZxMobileAccountModifier.checkZxProvisioningEnabled
      ],
      items: [
        {
          type: _SUPER_CHECKBOX_,
          checkBoxLabel: zxMsg('LBL_MOB_Enable_Mobile_Policy'),
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS,
          ref: ZaAccount.A_zimbraFeatureMobilePolicyEnabled,
          trueValue: 'TRUE',
          falseValue: 'FALSE'
        },
        {
          type: _SUPER_CHECKBOX_,
          checkBoxLabel: zxMsg('LBL_MOB_Allow_non_provisionable_devices'),
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS,
          ref: ZaAccount.A_zimbraMobilePolicyAllowNonProvisionableDevices,
          trueValue: 'TRUE',
          falseValue: 'FALSE'
        },
        {
          type: _SUPER_CHECKBOX_,
          checkBoxLabel: zxMsg('LBL_MOB_Allow_partial_policy_enforcement'),
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS,
          ref: ZaAccount.A_zimbraMobilePolicyAllowPartialProvisioning,
          trueValue: 'TRUE',
          falseValue: 'FALSE'
        }
      ]
    },

    {
      type: _TOP_GROUPER_,
      label: zxMsg('LBL_MOB_Mobile_password') + ' ' + ZxUtils.getInfoIcon(ZxLinks.HELP_MOB_Device_Password),
      numCols: 2,
      colSizes: [275, '*'],
      items: [
        {
          type: _CHECKBOX_,
          label: zxMsg('LBL_Enable') + ' ' + zxMsg('LBL_MOB_Mobile_password'),
          ref: 'attrs/' + ZxMobile.A_enableDevicePassword,
          bmolsnr: true,
          trueValue: 'TRUE',
          falseValue: 'FALSE',
          visibilityChecks: [function() { return true; }],
          enableDisableChangeEventSources: [ZaAccount.A_zimbraFeatureMobileSyncEnabled],
          enableDisableChecks: [ZxMobile.checkMobileSyncEnabled]
        },
        {
          type: _SECRET_,
          label: zxMsg('LBL_MOB_Mobile_password'),
          ref: 'attrs/' + ZxMobile.A_devicePassword,
//          bmolsnr: true,
          valueChangeEventSources: ['attrs/' + ZxMobile.A_devicePassword],
          enableDisableChangeEventSources: [
            ZaAccount.A_zimbraFeatureMobileSyncEnabled,
            'attrs/' + ZxMobile.A_enableDevicePassword
          ],
          enableDisableChecks: [ZxMobile.checkMobileSyncEnabled, ZxMobile.checkMobilePwdEnabled],
          visibilityChecks: [function() { return true; }]
        },
        {
          type: _SECRET_,
          label: zxMsg('LBL_MOB_Confirm_mobile_password'),
          ref: 'attrs/' + ZxMobile.A_devicePasswordConfirm,
//          bmolsnr: true,
          valueChangeEventSources: ['attrs/' + ZxMobile.A_devicePasswordConfirm],
          enableDisableChangeEventSources: [
            ZaAccount.A_zimbraFeatureMobileSyncEnabled,
            'attrs/' + ZxMobile.A_enableDevicePassword],
          enableDisableChecks: [ZxMobile.checkMobileSyncEnabled, ZxMobile.checkMobilePwdEnabled],
          visibilityChecks: [function() { return true; }]
        },
        {type: _OUTPUT_},
        {
          type: _DWT_BUTTON_,
          icon: 'padlock',
          label: zxMsg('LBL_MOB_Generate_random_password'),
          width: 148,
          visibilityChecks: [function() { return true; }],
          onActivate: ZxMobile.doGenerateDevicePassword,
          enableDisableChangeEventSources: [
            ZaAccount.A_zimbraFeatureMobileSyncEnabled,
            'attrs/' + ZxMobile.A_enableDevicePassword
          ],
          enableDisableChecks: [ZxMobile.checkMobileSyncEnabled, ZxMobile.checkMobilePwdEnabled]
        }
      ]
    },

    {
      type: _TOP_GROUPER_,
      label: zxMsg('LBL_MOB_Mobile_devices'),
//      containerCssStyle: 'padding-top:5px;',
//      enableDisableChangeEventSources: [
//      ],
//      enableDisableChecks: [],
      items: [
        {
          type: _ZX_LIST_VIEW_,
          ref: 'attrs/' + ZxMobile.A_devicesList,
          headerList: ZxMobileAccountModifier.getSessionsListHeader(),
          filterEnabled: true,
          navigationEnabled: true,
          optionalButtons: ZxMobileAccountModifier.getSessionListButtons(),
          onSelection: ZxMobileAccountModifier.doShowDeviceDetails,
          colSpan: 2
        }
      ]
    },

    {
      type: _TOP_GROUPER_,
      label: zxMsg('LBL_MOB_Sync_settings'),
      numCols: 2,
      colSizes: [275, '*'],
      enableDisableChangeEventSources: [
        ZaAccount.A_zimbraFeatureMobileSyncEnabled,
        ZaAccount.A_zimbraFeatureMobilePolicyEnabled,
        'attrs/' + ZxMobile.KEY_PROVISIONING_ENABLED
      ],
      enableDisableChecks: [
        ZxMobile.checkMobileSyncEnabled,
        ZxMobile.checkMobilePolicyEnabled,
        ZxMobileAccountModifier.checkZxProvisioningEnabled
      ],
      items: [
        {
          type: _SUPER_SELECT1_,
          label: zxMsg('LBL_MOB_Past_calendar_items_sync'),
          colSpan: 2,
          ref: ZaAccount.A_zimbraMobilePolicyMaxCalendarAgeFilter,
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS
        },
        {
          type: _SUPER_SELECT1_,
          label: zxMsg('LBL_MOB_Past_email_items_sync'),
          colSpan: 2,
          ref: ZaAccount.A_zimbraMobilePolicyMaxEmailAgeFilter,
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS
        },
        {
          type: _SUPER_TEXTFIELD_,
          txtBoxLabel: zxMsg('LBL_MOB_Limit_plain_text_size'),
          ref: ZaAccount.A_zimbraMobilePolicyMaxEmailBodyTruncationSize,
          textFieldWidth: 40,
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS,
          getDisplayValue: function(value) {
            // if the value is -1, show empty to indicate "ignored"
            return (value === '-1') ? '' : value;
          }
        },
        {
          type: _SUPER_CHECKBOX_,
          checkBoxLabel: zxMsg('LBL_MOB_Allow_push_while_roaming'),
          ref: ZaAccount.A_zimbraMobilePolicyRequireManualSyncWhenRoaming,
          trueValue: '1',
          falseValue: '0',
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS
        },
        {
          type: _SUPER_CHECKBOX_,
          checkBoxLabel: zxMsg('LBL_MOB_Allow_HTML_messages'),
          ref: ZaAccount.A_zimbraMobilePolicyAllowHTMLEmail,
          trueValue: '1',
          falseValue: '0',
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS
        },
        {
          type: _SUPER_TEXTFIELD_,
          txtBoxLabel: zxMsg('LBL_MOB_Limit_HTML_message_size'),
          ref: ZaAccount.A_zimbraMobilePolicyMaxEmailHTMLBodyTruncationSize,
          textFieldWidth: 40,
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS,
          getDisplayValue: function(value) {
            // if the value is -1, show empty to indicate "ignored"
            return (value === '-1') ? '' : value;
          }
        }
      ]
    },

    {
      type: _ZA_TOP_GROUPER_,
      label: zxMsg('LBL_MOB_Device_settings'),
      numCols: 2,
      colSizes: [275, '*'],
      visibilityChecks: [ZxUtils.isZ8Up],
      enableDisableChangeEventSources: [
        ZaAccount.A_zimbraFeatureMobileSyncEnabled,
        ZaAccount.A_zimbraFeatureMobilePolicyEnabled,
        'attrs/' + ZxMobile.KEY_PROVISIONING_ENABLED
      ],
      enableDisableChecks: [
        ZxMobile.checkMobileSyncEnabled,
        ZxMobile.checkMobilePolicyEnabled,
        ZxMobileAccountModifier.checkZxProvisioningEnabled
      ],
      items: [
        {
          type: _SUPER_CHECKBOX_,
          checkBoxLabel: zxMsg('LBL_MOB_Require_device_encryption'),
          ref: ZaAccount.A_zimbraMobilePolicyRequireDeviceEncryption,
          trueValue: '1',
          falseValue: '0',
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS
        },
        {
          type: _SUPER_CHECKBOX_,
          checkBoxLabel: zxMsg('LBL_MOB_Allow_removable_storage'),
          ref: ZaAccount.A_zimbraMobilePolicyAllowStorageCard,
          trueValue: '1',
          falseValue: '0',
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS
        },
        {
          type: _SUPER_CHECKBOX_,
          checkBoxLabel: zxMsg('LBL_MOB_Allow_camera'),
          ref: ZaAccount.A_zimbraMobilePolicyAllowCamera,
          trueValue: '1',
          falseValue: '0',
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS
        },
        {
          type: _SUPER_CHECKBOX_,
          checkBoxLabel: zxMsg('LBL_MOB_Allow_wifi'),
          ref: ZaAccount.A_zimbraMobilePolicyAllowWiFi,
          trueValue: '1',
          falseValue: '0',
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS
        },
        {
          type: _SUPER_CHECKBOX_,
          checkBoxLabel: zxMsg('LBL_MOB_Allow_infrared'),
          ref: ZaAccount.A_zimbraMobilePolicyAllowIrDA,
          trueValue: '1',
          falseValue: '0',
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS
        },
        {
          type: _SUPER_CHECKBOX_,
          checkBoxLabel: zxMsg('LBL_MOB_Allow_sharing'),
          ref: ZaAccount.A_zimbraMobilePolicyAllowInternetSharing,
          trueValue: '1',
          falseValue: '0',
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS
        },
        {
          type: _SUPER_CHECKBOX_,
          checkBoxLabel: zxMsg('LBL_MOB_Allow_remote_desktop'),
          ref: ZaAccount.A_zimbraMobilePolicyAllowRemoteDesktop,
          trueValue: '1',
          falseValue: '0',
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS
        },
        {
          type: _SUPER_CHECKBOX_,
          checkBoxLabel: zxMsg('LBL_MOB_Allow_desktop_sync'),
          ref: ZaAccount.A_zimbraMobilePolicyAllowDesktopSync,
          trueValue: '1',
          falseValue: '0',
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS
        },
        {
          type: _SUPER_SELECT1_,
          label: zxMsg('LBL_MOB_Allow_bluetooth'),
          ref: ZaAccount.A_zimbraMobilePolicyAllowBluetooth,
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS,
          colSpan: 2
        }
      ]
    },

    {
      type: _TOP_GROUPER_,
      label: zxMsg('LBL_MOB_Device_security_settings'),
      numCols: 2,
      colSizes: [275, '*'],
      enableDisableChangeEventSources: [
        ZaAccount.A_zimbraFeatureMobileSyncEnabled,
        ZaAccount.A_zimbraFeatureMobilePolicyEnabled,
        'attrs/' + ZxMobile.KEY_PROVISIONING_ENABLED
      ],
      enableDisableChecks: [
        ZxMobile.checkMobileSyncEnabled,
        ZxMobile.checkMobilePolicyEnabled,
        ZxMobileAccountModifier.checkZxProvisioningEnabled
      ],
      items: [
        {
          type: _SUPER_CHECKBOX_,
          checkBoxLabel: zxMsg('LBL_MOB_Require_password'),
          ref: ZaAccount.A_zimbraMobilePolicyDevicePasswordEnabled,
          trueValue: 'TRUE',
          falseValue: 'FALSE',
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS
        },
        {
          type: _SUPER_TEXTFIELD_,
          txtBoxLabel: zxMsg('LBL_MOB_Minimum_password_lenght'),
          ref: ZaAccount.A_zimbraMobilePolicyMinDevicePasswordLength,
          textFieldWidth: '40px',
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS,
          visibilityChecks: [ZxUtils.isZ8Up]
        },
        {
          type: _SUPER_CHECKBOX_,
          checkBoxLabel: zxMsg('LBL_MOB_Require_alphanumeric_password'),
          ref: ZaAccount.A_zimbraMobilePolicyAlphanumericDevicePasswordRequired,
          trueValue: 'TRUE',
          falseValue: 'FALSE',
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS
        },
        {
          type: _SUPER_TEXTFIELD_,
          txtBoxLabel: zxMsg('LBL_MOB_Minimum_complex_character'),
          ref: ZaAccount.A_zimbraMobilePolicyMinDevicePasswordComplexCharacters,
          textFieldWidth: '40px',
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS,
          visibilityChecks: [ZxUtils.isZ8Up]
        },
        {
          type: _SUPER_CHECKBOX_,
          checkBoxLabel: zxMsg('LBL_MOB_Allow_simple_password'),
          ref: ZaAccount.A_zimbraMobilePolicyAllowSimpleDevicePassword,
          trueValue: 'TRUE',
          falseValue: 'FALSE',
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS,
          visibilityChecks: [ZxUtils.isZ8Up]
        },
//        {
//          type: _SUPER_CHECKBOX_,
//          checkBoxLabel: zxMsg('LBL_MOB_Enable_password_recovery'),
//          ref: ZaAccount.A_zimbraMobilePolicyPasswordRecoveryEnabled,
//          trueValue: 'TRUE',
//          falseValue: 'FALSE',
//          resetToSuperLabel: ZaMsg.NAD_ResetToCOS,
//          visibilityChecks: [ZxUtils.isZ8Up]
//        },
        {
          type: _SUPER_CHECKBOX_,
          checkBoxLabel: zxMsg('LBL_MOB_Allow_device_encryption'),
          ref: ZaAccount.A_zimbraMobilePolicyDeviceEncryptionEnabled,
          trueValue: 'TRUE',
          falseValue: 'FALSE',
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS,
          visibilityChecks: [ZxUtils.isZ8Up]
        },
        {
          type: _SUPER_TEXTFIELD_,
          txtBoxLabel: zxMsg('LBL_MOB_Password_inactivity'),
          ref: ZaAccount.A_zimbraMobilePolicyMaxInactivityTimeDeviceLock,
          textFieldWidth: 40,
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS,
          visibilityChecks: [ZxUtils.isZ8Up]
        },
        {
          type: _SUPER_TEXTFIELD_,
          txtBoxLabel: zxMsg('LBL_MOB_Failed_attempts_allowed'),
          ref: ZaAccount.A_zimbraMobilePolicyMaxDevicePasswordFailedAttempts,
          textFieldWidth: 40,
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS,
          visibilityChecks: [ZxUtils.isZ8Up]
        },
        {
          type: _SUPER_TEXTFIELD_,
          txtBoxLabel: zxMsg('LBL_MOB_Expiration_days'),
          ref: ZaAccount.A_zimbraMobilePolicyDevicePasswordExpiration,
          textFieldWidth: 40,
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS,
          visibilityChecks: [ZxUtils.isZ8Up]
        },
        {
          type: _SUPER_TEXTFIELD_,
          txtBoxLabel: zxMsg('LBL_MOB_Password_stored_prevent_reuse'),
          ref: ZaAccount.A_zimbraMobilePolicyDevicePasswordHistory,
          textFieldWidth: 40,
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS,
          visibilityChecks: [ZxUtils.isZ8Up]
        }
      ]
    },

    {
      type: _TOP_GROUPER_,
      label: zxMsg('LBL_MOB_Device_applications'),
      visibilityChecks: [ZxUtils.isZ8Up],
      enableDisableChangeEventSources: [
        ZaAccount.A_zimbraFeatureMobileSyncEnabled,
        ZaAccount.A_zimbraFeatureMobilePolicyEnabled,
        'attrs/' + ZxMobile.KEY_PROVISIONING_ENABLED
      ],
      enableDisableChecks: [
        ZxMobile.checkMobileSyncEnabled,
        ZxMobile.checkMobilePolicyEnabled,
        ZxMobileAccountModifier.checkZxProvisioningEnabled
      ],
      items: [
        {
          type: _SUPER_CHECKBOX_,
          checkBoxLabel: zxMsg('LBL_MOB_Allow_browser'),
          ref: ZaAccount.A_zimbraMobilePolicyAllowBrowser,
          trueValue: '1',
          falseValue: '0',
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS
        },
        {
          type: _SUPER_CHECKBOX_,
          checkBoxLabel: zxMsg('LBL_MOB_Allow_consumer_mail'),
          ref: ZaAccount.A_zimbraMobilePolicyAllowConsumerEmail,
          trueValue: '1',
          falseValue: '0',
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS
        },
        {
          type: _SUPER_CHECKBOX_,
          checkBoxLabel: zxMsg('LBL_MOB_Allow_pop_imap_mail'),
          ref: ZaAccount.A_zimbraMobilePolicyAllowPOPIMAPEmail,
          trueValue: '1',
          falseValue: '0',
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS
        },
        {
          type: _SUPER_CHECKBOX_,
          checkBoxLabel: zxMsg('LBL_MOB_Allow_text_messaging'),
          ref: ZaAccount.A_zimbraMobilePolicyAllowTextMessaging,
          trueValue: '1',
          falseValue: '0',
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS
        },
        {
          type: _SUPER_CHECKBOX_,
          checkBoxLabel: zxMsg('LBL_MOB_Allow_unsigned_applications'),
          ref: ZaAccount.A_zimbraMobilePolicyAllowUnsignedApplications,
          trueValue: '1',
          falseValue: '0',
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS
        },
        {
          type: _SUPER_CHECKBOX_,
          checkBoxLabel: zxMsg('LBL_MOB_Allow_install_unsigned_applications'),
          ref: ZaAccount.A_zimbraMobilePolicyAllowUnsignedInstallationPackages,
          trueValue: '1',
          falseValue: '0',
          resetToSuperLabel: ZaMsg.NAD_ResetToCOS
        }
      ]
    },

    {
      type: _TOP_GROUPER_,
      label: zxMsg('LBL_MOB_Approved_applications'),
      visibilityChecks: [ZxUtils.isZ8Up],
      enableDisableChangeEventSources: [
        ZaAccount.A_zimbraFeatureMobileSyncEnabled,
        ZaAccount.A_zimbraFeatureMobilePolicyEnabled,
        'attrs/' + ZxMobile.KEY_PROVISIONING_ENABLED
      ],
      enableDisableChecks: [
        ZxMobile.checkMobileSyncEnabled,
        ZxMobile.checkMobilePolicyEnabled,
        ZxMobileAccountModifier.checkZxProvisioningEnabled
      ],
      items: [
        {
          ref: ZaAccount.A_zimbraMobilePolicyApprovedApplicationList,
          type: _DWT_LIST_,
          colSpan: 2,
          listHeight: 150,
//          bmolsnr: true,
          widgetClass: ZxMobileAppListView,
          reserveSelection: false,
          multiselect: true,
          cssClass: 'DLSource',
          headerList: null,
          onSelection: ZxMobileAppListView.onApprovedAppSelectionListener,
          valueChangeEventSources: [ZaAccount.A_zimbraMobilePolicyApprovedApplicationList]
        },
        {
          type: _GROUP_,
          numCols: 4,
          colSpan: 2,
          colSizes: [150, 10, 150, '*'],
          items: [
            {
              type: _DWT_BUTTON_,
              icon: 'Add',
              label: zxMsg('LBL_MOB_Add_application'),
              onActivate: ZxMobileAppListView.addApprovedAppButtonListener
            },
            { type: _CELLSPACER_ },
            {
              type: _DWT_BUTTON_,
              icon: 'Delete',
              label: zxMsg('LBL_MOB_Remove_application'),
              onActivate: ZxMobileAppListView.removeApprovedAppButtonListener,
              enableDisableChangeEventSources: [ZaAccount.A_ApprovedAppSelection],
              enableDisableChecks: [ZxMobileAppListView.isRemoveApprovedAppEnabled]
            },
            { type: _CELLSPACER_ }
          ]
        }
      ]
    },

    {
      type: _TOP_GROUPER_,
      label: zxMsg('LBL_MOB_Blocked_applications'),
      visibilityChecks: [ZxUtils.isZ8Up],
      enableDisableChangeEventSources: [
        ZaAccount.A_zimbraFeatureMobileSyncEnabled,
        ZaAccount.A_zimbraFeatureMobilePolicyEnabled,
        'attrs/' + ZxMobile.KEY_PROVISIONING_ENABLED
      ],
      enableDisableChecks: [
        ZxMobile.checkMobileSyncEnabled,
        ZxMobile.checkMobilePolicyEnabled,
        ZxMobileAccountModifier.checkZxProvisioningEnabled
      ],
      items: [
        {
          ref: ZaAccount.A_zimbraMobilePolicyUnapprovedInROMApplication,
          type: _DWT_LIST_,
          height: 150,
          cssClass: 'DLSource',
          numCols: 3,
          colSpan: 2,
          widgetClass: ZxMobileAppListView,
          reserveSelection: false,
          multiselect: true,
          headerList: null,
          onSelection: ZxMobileAppListView.onBlockedAppSelectionListener,
          valueChangeEventSources: [ZaAccount.A_zimbraMobilePolicyUnapprovedInROMApplication]
        },
        {
          type: _GROUP_,
          numCols: 4,
          colSpan: 2,
          colSizes: [150, 10, 150, '*'],
          items: [
            {
              type: _DWT_BUTTON_,
              icon: 'Add',
              label: zxMsg('LBL_MOB_Add_application'),
              onActivate: ZxMobileAppListView.addBlockedAppButtonListener
            },
            { type: _CELLSPACER_ },
            {
              type: _DWT_BUTTON_,
              icon: 'Delete',
              label: zxMsg('LBL_MOB_Remove_application'),
              onActivate: ZxMobileAppListView.removeBlockedAppButtonListener,
              enableDisableChangeEventSources: [ZaAccount.A_BlockedAppSelection],
              enableDisableChecks: [ZxMobileAppListView.isRemoveBlockedAppEnabled]
            },
            { type: _CELLSPACER_ }
          ]
        }
      ]
    }
  ]
};
