/*
 * ***** BEGIN LICENSE BLOCK *****
 * Copyright (C) 2011-2016 ZeXtras
 *
 * The contents of this file are subject to the ZeXtras EULA;
 * you may not use this file except in compliance with the EULA.
 * You may obtain a copy of the EULA at
 * http://www.zextras.com/zextras-eula.html
 * ***** END LICENSE BLOCK *****
 */

function ZxMobileCOSModifier() {
}

if (ZaCos) {
  ZaCos.A_zimbraFeatureMobileSyncEnabled = 'zimbraFeatureMobileSyncEnabled';

//  ZaCos.A_zimbraMobilePolicyPasswordRecoveryEnabled = 'zimbraMobilePolicyPasswordRecoveryEnabled';
  ZaCos.A_zimbraMobilePolicyMinDevicePasswordLength = 'zimbraMobilePolicyMinDevicePasswordLength';
  ZaCos.A_zimbraMobilePolicyMinDevicePasswordComplexCharacters = 'zimbraMobilePolicyMinDevicePasswordComplexCharacters';
  ZaCos.A_zimbraMobilePolicyMaxDevicePasswordFailedAttempts = 'zimbraMobilePolicyMaxDevicePasswordFailedAttempts';
  ZaCos.A_zimbraMobilePolicyDevicePasswordEnabled = 'zimbraMobilePolicyDevicePasswordEnabled';
  ZaCos.A_zimbraMobilePolicyAllowSimpleDevicePassword = 'zimbraMobilePolicyAllowSimpleDevicePassword';
  ZaCos.A_zimbraMobilePolicyAlphanumericDevicePasswordRequired = 'zimbraMobilePolicyAlphanumericDevicePasswordRequired';
  ZaCos.A_zimbraMobilePolicyDevicePasswordExpiration = 'zimbraMobilePolicyDevicePasswordExpiration';
  ZaCos.A_zimbraMobilePolicyDevicePasswordHistory = 'zimbraMobilePolicyDevicePasswordHistory';
  ZaCos.A_zimbraMobilePolicyMaxInactivityTimeDeviceLock = 'zimbraMobilePolicyMaxInactivityTimeDeviceLock';

  ZaCos.A_zimbraMobilePolicyAllowBluetooth = 'zimbraMobilePolicyAllowBluetooth';
  ZaCos.A_zimbraMobilePolicyAllowBrowser = 'zimbraMobilePolicyAllowBrowser';
  ZaCos.A_zimbraMobilePolicyAllowConsumerEmail = 'zimbraMobilePolicyAllowConsumerEmail';
  ZaCos.A_zimbraMobilePolicyAllowCamera = 'zimbraMobilePolicyAllowCamera';
  ZaCos.A_zimbraMobilePolicyAllowDesktopSync = 'zimbraMobilePolicyAllowDesktopSync';
  ZaCos.A_zimbraMobilePolicyAllowHTMLEmail = 'zimbraMobilePolicyAllowHTMLEmail';
  ZaCos.A_zimbraMobilePolicyAllowInternetSharing = 'zimbraMobilePolicyAllowInternetSharing';
  ZaCos.A_zimbraMobilePolicyAllowIrDA = 'zimbraMobilePolicyAllowIrDA';
  ZaCos.A_zimbraMobilePolicyAllowPOPIMAPEmail = 'zimbraMobilePolicyAllowPOPIMAPEmail';
  ZaCos.A_zimbraMobilePolicyAllowRemoteDesktop = 'zimbraMobilePolicyAllowRemoteDesktop';

  // 'Algorithm negotiation'
  ZaCos.A_zimbraMobilePolicyAllowSMIMEEncryptionAlgorithmNegotiation = 'zimbraMobilePolicyAllowSMIMEEncryptionAlgorithmNegotiation';
  ZaCos.A_zimbraMobilePolicyAllowSMIMESoftCerts = 'zimbraMobilePolicyAllowSMIMESoftCerts';
  ZaCos.A_zimbraMobilePolicyAllowStorageCard = 'zimbraMobilePolicyAllowStorageCard';
  ZaCos.A_zimbraMobilePolicyAllowTextMessaging = 'zimbraMobilePolicyAllowTextMessaging';
  ZaCos.A_zimbraMobilePolicyAllowUnsignedApplications = 'zimbraMobilePolicyAllowUnsignedApplications';
  ZaCos.A_zimbraMobilePolicyAllowUnsignedInstallationPackages = 'zimbraMobilePolicyAllowUnsignedInstallationPackages';
  ZaCos.A_zimbraMobilePolicyAllowWiFi = 'zimbraMobilePolicyAllowWiFi';

  // 'past calendar items sync'd'
  ZaCos.A_zimbraMobilePolicyMaxCalendarAgeFilter = 'zimbraMobilePolicyMaxCalendarAgeFilter';

  // 'corresponds to 'past email items sync'd'
  ZaCos.A_zimbraMobilePolicyMaxEmailAgeFilter = 'zimbraMobilePolicyMaxEmailAgeFilter';
  ZaCos.A_zimbraMobilePolicyMaxEmailBodyTruncationSize = 'zimbraMobilePolicyMaxEmailBodyTruncationSize';
  ZaCos.A_zimbraMobilePolicyMaxEmailHTMLBodyTruncationSize = 'zimbraMobilePolicyMaxEmailHTMLBodyTruncationSize';
  ZaCos.A_zimbraMobilePolicyRequireDeviceEncryption = 'zimbraMobilePolicyRequireDeviceEncryption';
  ZaCos.A_zimbraMobilePolicyRequireEncryptedSMIMEMessages = 'zimbraMobilePolicyRequireEncryptedSMIMEMessages';
  ZaCos.A_zimbraMobilePolicyRequireEncryptionSMIMEAlgorithm = 'zimbraMobilePolicyRequireEncryptionSMIMEAlgorithm';
  ZaCos.A_zimbraMobilePolicyRequireManualSyncWhenRoaming = 'zimbraMobilePolicyRequireManualSyncWhenRoaming';
  ZaCos.A_zimbraMobilePolicyRequireSignedSMIMEMessages = 'zimbraMobilePolicyRequireSignedSMIMEMessages';
  ZaCos.A_zimbraMobilePolicyRequireSignedSMIMEAlgorithm = 'zimbraMobilePolicyRequireSignedSMIMEAlgorithm';

  /* Missing Provisioning.A_zimbraMobilePolicySuppressDeviceEncryption */

  ZaCos.A_zimbraFeatureMobilePolicyEnabled = 'zimbraFeatureMobilePolicyEnabled';
  ZaCos.A_zimbraMobilePolicyAllowNonProvisionableDevices = 'zimbraMobilePolicyAllowNonProvisionableDevices';
  ZaCos.A_zimbraMobilePolicyAllowPartialProvisioning = 'zimbraMobilePolicyAllowPartialProvisioning';
  ZaCos.A_zimbraMobilePolicyRefreshInterval = 'zimbraMobilePolicyRefreshInterval';
  ZaCos.A_zimbraMobilePolicyDeviceEncryptionEnabled = 'zimbraMobilePolicyDeviceEncryptionEnabled';
  ZaCos.A_zimbraMobilePolicyEnableSMIMEEncryptionAndSigning = 'zimbraMobilePolicyEnableSMIMEEncryptionAndSigning';
  ZaCos.A_zimbraMobilePolicyApprovedApplication = 'zimbraMobilePolicyApprovedApplication';
  ZaCos.A_zimbraMobilePolicyUnapprovedInROMApplication = 'zimbraMobilePolicyUnapprovedInROMApplication';
  ZaCos.A_zimbraMobilePolicyApprovedApplicationList = 'zimbraMobilePolicyApprovedApplicationList';
  ZaCos.A_BlockedAppSelection = 'blocked_app_selection';
  ZaCos.A_ApprovedAppName = 'approved_app_name';
  ZaCos.A_ApprovedAppSelection = 'approved_app_selection';
  ZaCos.A_BlockedAppName = 'blocked_app_name';
  ZaCos.A_ApprovedAppHash = 'approved_app_hash';
  ZaCos.A_zimbraMobileDeviceSelected = 'zimbraMobileDeviceSelected';
  ZaCos.A_wipeEnabled = 'wipeEnabled';
  ZaCos.A_zimbraMobileSync = 'zimbraMobileSync';
  ZaCos.A_resumeSyncEnabled = 'resumeSyncEnabled';
}

ZxMobileCOSModifier.NEW_PANEL = true;

ZxMobileCOSModifier.MODEL = [
  {id: ZaCos.A_zimbraFeatureMobileSyncEnabled,
    type: _ENUM_, ref: 'attrs/' + ZaCos.A_zimbraFeatureMobileSyncEnabled,
    choices: ZaModel.BOOLEAN_CHOICES},
  {id: ZaCos.A_zimbraFeatureMobilePolicyEnabled,
    type: _ENUM_, ref: 'attrs/' + ZaCos.A_zimbraFeatureMobilePolicyEnabled,
    choices: ZaModel.BOOLEAN_CHOICES},
  {id: ZaCos.A_zimbraMobilePolicyAllowNonProvisionableDevices,
    type: _ENUM_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyAllowNonProvisionableDevices,
    choices: ZaModel.BOOLEAN_CHOICES},
  {id: ZaCos.A_zimbraMobilePolicyAllowPartialProvisioning,
    type: _ENUM_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyAllowPartialProvisioning,
    choices: ZaModel.BOOLEAN_CHOICES},

  {id: ZaCos.A_zimbraMobilePolicyMinDevicePasswordLength,
    type: _INT_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyMinDevicePasswordLength,
    minInclusive: 1},
  {id: ZaCos.A_zimbraMobilePolicyMinDevicePasswordComplexCharacters,
    type: _INT_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyMinDevicePasswordComplexCharacters,
    minInclusive: 0},
  {id: ZaCos.A_zimbraMobilePolicyMaxDevicePasswordFailedAttempts,
    type: _INT_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyMaxDevicePasswordFailedAttempts,
    minInclusive: 0},
  {id: ZaCos.A_zimbraMobilePolicyDevicePasswordEnabled,
    type: _ENUM_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyDevicePasswordEnabled,
    choices: ZaModel.BOOLEAN_CHOICES},
  {id: ZaCos.A_zimbraMobilePolicyAllowSimpleDevicePassword,
    type: _ENUM_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyAllowSimpleDevicePassword,
    choices: ZaModel.BOOLEAN_CHOICES},
  {id: ZaCos.A_zimbraMobilePolicyAlphanumericDevicePasswordRequired,
    type: _ENUM_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyAlphanumericDevicePasswordRequired,
    choices: ZaModel.BOOLEAN_CHOICES},
  {id: ZaCos.A_zimbraMobilePolicyDevicePasswordExpiration,
    type: _INT_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyDevicePasswordExpiration,
    minInclusive: 0},
  {id: ZaCos.A_zimbraMobilePolicyDevicePasswordHistory,
    type: _INT_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyDevicePasswordHistory,
    minInclusive: 0},
  {id: ZaCos.A_zimbraMobilePolicyMaxInactivityTimeDeviceLock,
    type: _INT_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyMaxInactivityTimeDeviceLock,
    minInclusive: 0},

  {id: ZaCos.A_zimbraMobilePolicyRefreshInterval,
    type: _INT_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyRefreshInterval,
    minInclusive: 0},
  {id: ZaCos.A_zimbraMobilePolicyDeviceEncryptionEnabled,
    type: _ENUM_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyDeviceEncryptionEnabled,
    choices: ZaModel.BOOLEAN_CHOICES},
  {id: ZaCos.A_zimbraMobilePolicyEnableSMIMEEncryptionAndSigning,
    type: _ENUM_, choices: ZaModel.BOOLEAN_CHOICES1},
  {id: ZaCos.A_zimbraMobilePolicyApprovedApplication,
    type: _LIST_, listItem: {type: _STRING_},
    ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyApprovedApplication},
  {id: ZaCos.A_zimbraMobilePolicyUnapprovedInROMApplication,
    type: _LIST_, listItem: {type: _STRING_},
    ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyUnapprovedInROMApplication},
  {id: ZaCos.A_zimbraMobilePolicyApprovedApplicationList,
    type: _LIST_, listItem: {type: _STRING_},
    ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyApprovedApplicationList},
  {id: ZaCos.A_ApprovedAppSelection, type: _LIST_, dataType: _STRING_},
  {id: ZaCos.A_BlockedAppSelection, type: _LIST_, dataType: _STRING_},
  {id: ZaCos.A_zimbraMobileSync, type: _LIST_, dataType: _STRING_},
  {id: ZaCos.A_zimbraMobileDeviceSelected},
  {id: ZaCos.A_resumeSyncEnabled},
  {id: ZaCos.A_wipeEnabled},

  {id: ZaCos.A_zimbraMobilePolicyAllowBluetooth,
    type: _ENUM_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyAllowBluetooth,
    choices: ZxMobile.BLUETOOTH_CHOICES, onlyZ8: true},
  {id: ZaCos.A_zimbraMobilePolicyAllowBrowser,
    type: _ENUM_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyAllowBrowser,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaCos.A_zimbraMobilePolicyAllowCamera,
    type: _ENUM_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyAllowCamera,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaCos.A_zimbraMobilePolicyAllowConsumerEmail,
    type: _ENUM_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyAllowConsumerEmail,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaCos.A_zimbraMobilePolicyAllowDesktopSync,
    type: _ENUM_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyAllowDesktopSync,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaCos.A_zimbraMobilePolicyAllowHTMLEmail,
    type: _ENUM_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyAllowHTMLEmail,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaCos.A_zimbraMobilePolicyAllowInternetSharing,
    type: _ENUM_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyAllowInternetSharing,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaCos.A_zimbraMobilePolicyAllowIrDA,
    type: _ENUM_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyAllowIrDA,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaCos.A_zimbraMobilePolicyAllowPOPIMAPEmail,
    type: _ENUM_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyAllowPOPIMAPEmail,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaCos.A_zimbraMobilePolicyAllowRemoteDesktop,
    type: _ENUM_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyAllowRemoteDesktop,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaCos.A_zimbraMobilePolicyAllowSMIMEEncryptionAlgorithmNegotiation,
    type: _INT_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyAllowSMIMEEncryptionAlgorithmNegotiation,
    choices: ZxMobile.SMIME_ALGORITHM_NEGOTIATION_CHOICES, onlyZ8: true},
  {id: ZaCos.A_zimbraMobilePolicyAllowSMIMESoftCerts,
    type: _INT_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyAllowSMIMESoftCerts,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaCos.A_zimbraMobilePolicyAllowStorageCard,
    type: _ENUM_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyAllowStorageCard,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaCos.A_zimbraMobilePolicyAllowTextMessaging,
    type: _ENUM_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyAllowTextMessaging,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaCos.A_zimbraMobilePolicyAllowUnsignedApplications,
    type: _ENUM_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyAllowUnsignedApplications,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaCos.A_zimbraMobilePolicyAllowUnsignedInstallationPackages,
    type: _ENUM_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyAllowUnsignedInstallationPackages,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaCos.A_zimbraMobilePolicyAllowWiFi,
    type: _ENUM_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyAllowWiFi,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaCos.A_zimbraMobilePolicyMaxCalendarAgeFilter,
    type: _ENUM_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyMaxCalendarAgeFilter,
    choices: ZxMobile.CALENDAR_AGE_FILTER_CHOICES, onlyZ8: true},
  {id: ZaCos.A_zimbraMobilePolicyMaxEmailAgeFilter,
    type: _ENUM_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyMaxEmailAgeFilter,
    choices: ZxMobile.EMAIL_AGE_FILTER_CHOICES, onlyZ8: true},
  {id: ZaCos.A_zimbraMobilePolicyMaxEmailBodyTruncationSize,
    type: _INT_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyMaxEmailBodyTruncationSize,
    minInclusive: -1, onlyZ8: true},
  {id: ZaCos.A_zimbraMobilePolicyMaxEmailHTMLBodyTruncationSize,
    type: _INT_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyMaxEmailHTMLBodyTruncationSize,
    minInclusive: -1, onlyZ8: true},
  {id: ZaCos.A_zimbraMobilePolicyRequireDeviceEncryption,
    type: _ENUM_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyRequireDeviceEncryption,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaCos.A_zimbraMobilePolicyRequireEncryptedSMIMEMessages,
    type: _INT_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyRequireEncryptedSMIMEMessages,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaCos.A_zimbraMobilePolicyRequireEncryptionSMIMEAlgorithm,
    type: _INT_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyRequireEncryptionSMIMEAlgorithm,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaCos.A_zimbraMobilePolicyRequireManualSyncWhenRoaming,
    type: _ENUM_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyRequireManualSyncWhenRoaming,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaCos.A_zimbraMobilePolicyRequireSignedSMIMEAlgorithm,
    type: _INT_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyRequireSignedSMIMEAlgorithm,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true},
  {id: ZaCos.A_zimbraMobilePolicyRequireSignedSMIMEMessages,
    type: _INT_, ref: 'attrs/' + ZaCos.A_zimbraMobilePolicyRequireSignedSMIMEMessages,
    choices: ZaModel.ALLOW_CHOICES, onlyZ8: true}

];

ZxMobileCOSModifier.ATTRS = [];
ZxMobileCOSModifier.RIGHTS = [];

/**
 * Function invoked by the ZxAccountModifier when the tab is
 * opened.
 * @this {ZaCos}
 */
ZxMobileCOSModifier.LOAD_ATTRS = function() {
  this[ZxMobile.A_enableDevicePassword] = 'FALSE'; // Setting the default value
  this[ZxMobile.A_devicesList] = [];

  this.setAttrs[ZxMobile.A_enableDevicePassword] = true; // Allow the delegated admin to modify these values
  this.setAttrs[ZxMobile.A_devicePassword] = true;
  this.setAttrs[ZxMobile.A_devicePasswordConfirm] = true;

  var allServers = ZxServer.getAll().getArray(),
    serverIDs = this.attrs[ZaCos.A_zimbraMailHostPool] || [],
    servers = [],
    i,
    j,
    SetValue_Callback;

  // Filter all servers, building a list with all servers declared by the COS
  for (i = 0; i < allServers.length; i = i + 1) {
    for (j = 0; j < serverIDs.length; j = j + 1) {
      if (allServers[i].id !== serverIDs[j]) { continue; }
      if (allServers[i].attrs && !allServers[i].attrs._zimbraServiceEnabled_mailbox) { continue; }

      servers.push(allServers[i]);
    }
  }

  SetValue_Callback = function(resp) {
    if (resp instanceof ZxError) { return; }
  };

  // Search in all COS's related servers if EAS is enabled in some version.
  for (i = 0; i < servers.length; i = i + 1) {
    ZxAdminRequest.sendRequest(
      servers[i].name,
      'ZxMobile',
      'getPublicProperties'
    ).then(AjxCallback.simpleClosure(
      SetValue_Callback,
      this
    ), ZxUtils.catchError);
  }
};

ZxMobileCOSModifier.SAVE_ATTRS = function(prop, val) {
  ZxUtils.log({prop: prop, val: val}, 'Saving Value:');
};

ZxMobileCOSModifier.XFORM = {
  type: _GROUP_,
  numCols: 1,
  width: '100%',
  items: [
    {
      type: _GROUP_,
      cssClass: 'ZmSelectedHeaderBg',
      colSpan: '*',
      id: 'xform_header',
      items: [
        {
          type: _GROUP_,
          cssClass: 'ZxMobileSpacer',
          numCols: 2,
          width: '100%',
          colSizes: ['160px', '*'],
          align: _RIGHT_,
          items: [
            {
              type: _GROUP_,
              items: []
            },
            {
              type: _GROUP_,
              items: []
            }
          ]
        }
      ]
    },
    {
      type: _DWT_ALERT_,
      cssClass: 'DwtTabTable',
      style: DwtAlert.INFORMATION,
      iconVisible: true,
      content: zxMsg('MSG_MOB_Options_available_for_Z8up'),
      width: '100%',
      visibilityChangeEventSources: [],
      visibilityChecks: [
        function() { return !ZxUtils.isZ8Up(); }
      ]
    },
    {
      type: _ZX_ALERT_,
      style: DwtAlert.WARNING,
      ref: 'attrs/' + ZxModule.KEY_RUNNING,
      visibilityChangeEventSources: [],
      visibilityChecks: [],
      numCols: 1,
      items: [
        {
          type: _OUTPUT_,
          value: zxMsg('MSG_MOB_Enable_MDM_server_side')
        },
        { type: _CELL_SPACER_ },
        {
          type: _DWT_BUTTON_,
          width: 100,
          icon: 'ZeXtras',
          label: zxMsg('LBL_MOB_Jump_to_MDM'),
          onActivate: function() {
            ZeXtras.followMenuItems([
              ZxMenuIds.ZEXTRAS,
              ZxMenuIds.ZEXTRAS_MOBILE
            ]);
          }
        }
      ]
    },
    {
      type: _TOP_GROUPER_,
      numCols: 2,
      colSizes: [275, '*'],
      enableDisableChecks: [ZxUtils.amINotDelegated],
      label: zxMsg('LBL_MOB_Mobile_preferences'),
      items: [
        {
          type: _CHECKBOX_,
          label: zxMsg('MSG_MOB_Enable_sync_for_COS'),
          ref: ZaCos.A_zimbraFeatureMobileSyncEnabled,
          trueValue: 'TRUE',
          falseValue: 'FALSE'
        }
      ]
    },
    {
      type: _TOP_GROUPER_,
      label: zxMsg('LBL_MOB_Provisioning'),
      numCols: 2,
      colSizes: [275, '*'],
      items: [
        {
          type: _CHECKBOX_,
          label: zxMsg('LBL_MOB_Enable_Mobile_Policy'),
          ref: ZaCos.A_zimbraFeatureMobilePolicyEnabled,
          trueValue: 'TRUE',
          falseValue: 'FALSE'
        },
        {
          type: _CHECKBOX_,
          label: zxMsg('LBL_MOB_Allow_non_provisionable_devices'),
          ref: ZaCos.A_zimbraMobilePolicyAllowNonProvisionableDevices,
          trueValue: 'TRUE',
          falseValue: 'FALSE'
        },
        {
          type: _CHECKBOX_,
          label: zxMsg('LBL_MOB_Allow_partial_policy_enforcement'),
          ref: ZaCos.A_zimbraMobilePolicyAllowPartialProvisioning,
          trueValue: 'TRUE',
          falseValue: 'FALSE'
        }
      ]
    },
    {
      type: _TOP_GROUPER_,
      label: zxMsg('LBL_MOB_Sync_settings'),
      numCols: 2,
      colSizes: [275, '*'],
      items: [
        {
          type: _SELECT1_,
          label: zxMsg('LBL_MOB_Past_calendar_items_sync'),
          colSpan: 2,
          ref: ZaCos.A_zimbraMobilePolicyMaxCalendarAgeFilter
        },
        {
          type: _SELECT1_,
          label: zxMsg('LBL_MOB_Past_email_items_sync'),
          colSpan: 2,
          ref: ZaCos.A_zimbraMobilePolicyMaxEmailAgeFilter
        },
        {
          type: _TEXTFIELD_,
          label: zxMsg('LBL_MOB_Limit_plain_text_size'),
          ref: ZaCos.A_zimbraMobilePolicyMaxEmailBodyTruncationSize,
          textFieldWidth: 40,
          getDisplayValue: function(value) {
            // if the value is -1, show empty to indicate "ignored"
            return (value === '-1') ? '' : value;
          }
        },
        {
          type: _CHECKBOX_,
          label: zxMsg('LBL_MOB_Allow_push_while_roaming'),
          ref: ZaCos.A_zimbraMobilePolicyRequireManualSyncWhenRoaming,
          trueValue: '1',
          falseValue: '0'
        },
        {
          type: _CHECKBOX_,
          label: zxMsg('LBL_MOB_Allow_HTML_messages'),
          ref: ZaCos.A_zimbraMobilePolicyAllowHTMLEmail,
          trueValue: '1',
          falseValue: '0'
        },
        {
          type: _TEXTFIELD_,
          label: zxMsg('LBL_MOB_Limit_HTML_message_size'),
          ref: ZaCos.A_zimbraMobilePolicyMaxEmailHTMLBodyTruncationSize,
          textFieldWidth: 40,
          getDisplayValue: function(value) {
            // if the value is -1, show empty to indicate "ignored"
            return (value === '-1') ? '' : value;
          }
        }
      ]
    },

    {
      type: _ZA_TOP_GROUPER_,
      label: zxMsg('LBL_MOB_Device_settings'),
      numCols: 2,
      colSizes: [275, '*'],
      visibilityChecks: [ZxUtils.isZ8Up],
      enableDisableChangeEventSources: [ZaCos.A_zimbraFeatureMobilePolicyEnabled],
      enableDisableChecks: [ZxMobile.checkMobilePolicyEnabled],
      items: [
        {
          type: _CHECKBOX_,
          label: zxMsg('LBL_MOB_Require_device_encryption'),
          ref: ZaCos.A_zimbraMobilePolicyRequireDeviceEncryption,
          trueValue: '1',
          falseValue: '0'
        },
        {
          type: _CHECKBOX_,
          label: zxMsg('LBL_MOB_Allow_removable_storage'),
          ref: ZaCos.A_zimbraMobilePolicyAllowStorageCard,
          trueValue: '1',
          falseValue: '0'
        },
        {
          type: _CHECKBOX_,
          label: zxMsg('LBL_MOB_Allow_camera'),
          ref: ZaCos.A_zimbraMobilePolicyAllowCamera,
          trueValue: '1',
          falseValue: '0'
        },
        {
          type: _CHECKBOX_,
          label: zxMsg('LBL_MOB_Allow_wifi'),
          ref: ZaCos.A_zimbraMobilePolicyAllowWiFi,
          trueValue: '1',
          falseValue: '0'
        },
        {
          type: _CHECKBOX_,
          label: zxMsg('LBL_MOB_Allow_infrared'),
          ref: ZaCos.A_zimbraMobilePolicyAllowIrDA,
          trueValue: '1',
          falseValue: '0'
        },
        {
          type: _CHECKBOX_,
          label: zxMsg('LBL_MOB_Allow_sharing'),
          ref: ZaCos.A_zimbraMobilePolicyAllowInternetSharing,
          trueValue: '1',
          falseValue: '0'
        },
        {
          type: _CHECKBOX_,
          label: zxMsg('LBL_MOB_Allow_remote_desktop'),
          ref: ZaCos.A_zimbraMobilePolicyAllowRemoteDesktop,
          trueValue: '1',
          falseValue: '0'
        },
        {
          type: _CHECKBOX_,
          label: zxMsg('LBL_MOB_Allow_desktop_sync'),
          ref: ZaCos.A_zimbraMobilePolicyAllowDesktopSync,
          trueValue: '1',
          falseValue: '0'
        },
        {
          type: _SELECT1_,
          label: zxMsg('LBL_MOB_Allow_bluetooth'),
          ref: ZaCos.A_zimbraMobilePolicyAllowBluetooth,
          colSpan: 2
        }
      ]
    },
    {
      type: _TOP_GROUPER_,
      label: zxMsg('LBL_MOB_Device_security_settings'),
      numCols: 2,
      colSizes: [275, '*'],
      enableDisableChecks: [ZxMobile.checkMobilePolicyEnabled],
      enableDisableChangeEventSources: [ZaCos.A_zimbraFeatureMobilePolicyEnabled],
      items: [
        {
          type: _CHECKBOX_,
          label: zxMsg('LBL_MOB_Require_password'),
          ref: ZaCos.A_zimbraMobilePolicyDevicePasswordEnabled,
          trueValue: 'TRUE',
          falseValue: 'FALSE'
        },
        {
          type: _TEXTFIELD_,
          label: zxMsg('LBL_MOB_Minimum_password_lenght'),
          ref: ZaCos.A_zimbraMobilePolicyMinDevicePasswordLength,
          textFieldWidth: '40px',
          visibilityChecks: [ZxUtils.isZ8Up]
        },
        {
          type: _CHECKBOX_,
          label: zxMsg('LBL_MOB_Require_alphanumeric_password'),
          ref: ZaCos.A_zimbraMobilePolicyAlphanumericDevicePasswordRequired,
          trueValue: 'TRUE',
          falseValue: 'FALSE'
        },
        {
          type: _TEXTFIELD_,
          label: zxMsg('LBL_MOB_Minimum_complex_character'),
          ref: ZaCos.A_zimbraMobilePolicyMinDevicePasswordComplexCharacters,
          textFieldWidth: '40px',
          visibilityChecks: [ZxUtils.isZ8Up]
        },
        {
          type: _CHECKBOX_,
          label: zxMsg('LBL_MOB_Allow_simple_password'),
          ref: ZaCos.A_zimbraMobilePolicyAllowSimpleDevicePassword,
          trueValue: 'TRUE',
          falseValue: 'FALSE',
          visibilityChecks: [ZxUtils.isZ8Up]
        },
        {
          type: _CHECKBOX_,
          label: zxMsg('LBL_MOB_Allow_device_encryption'),
          ref: ZaCos.A_zimbraMobilePolicyDeviceEncryptionEnabled,
          trueValue: 'TRUE',
          falseValue: 'FALSE',
          visibilityChecks: [ZxUtils.isZ8Up]
        },
        {
          type: _TEXTFIELD_,
          label: zxMsg('LBL_MOB_Password_inactivity'),
          ref: ZaCos.A_zimbraMobilePolicyMaxInactivityTimeDeviceLock,
          textFieldWidth: 40,
          visibilityChecks: [ZxUtils.isZ8Up]
        },
        {
          type: _TEXTFIELD_,
          label: zxMsg('LBL_MOB_Failed_attempts_allowed'),
          ref: ZaCos.A_zimbraMobilePolicyMaxDevicePasswordFailedAttempts,
          textFieldWidth: 40,
          visibilityChecks: [ZxUtils.isZ8Up]
        },
        {
          type: _TEXTFIELD_,
          label: zxMsg('LBL_MOB_Expiration_days'),
          ref: ZaCos.A_zimbraMobilePolicyDevicePasswordExpiration,
          textFieldWidth: 40,
          visibilityChecks: [ZxUtils.isZ8Up]
        },
        {
          type: _TEXTFIELD_,
          label: zxMsg('LBL_MOB_Password_stored_prevent_reuse'),
          ref: ZaCos.A_zimbraMobilePolicyDevicePasswordHistory,
          textFieldWidth: 40,
          visibilityChecks: [ZxUtils.isZ8Up]
        }
      ]
    },
    {
      type: _TOP_GROUPER_,
      label: zxMsg('LBL_MOB_Device_applications'),
      visibilityChecks: [ZxUtils.isZ8Up],
      enableDisableChecks: [ZxMobile.checkMobilePolicyEnabled],
      enableDisableChangeEventSources: [ZaCos.A_zimbraFeatureMobilePolicyEnabled],
      numCols: 2,
      colSizes: [275, '*'],
      items: [
        {
          type: _CHECKBOX_,
          label: zxMsg('LBL_MOB_Allow_browser'),
          ref: ZaCos.A_zimbraMobilePolicyAllowBrowser,
          trueValue: '1',
          falseValue: '0'
        },
        {
          type: _CHECKBOX_,
          label: zxMsg('LBL_MOB_Allow_consumer_mail'),
          ref: ZaCos.A_zimbraMobilePolicyAllowConsumerEmail,
          trueValue: '1',
          falseValue: '0'
        },
        {
          type: _CHECKBOX_,
          label: zxMsg('LBL_MOB_Allow_pop_imap_mail'),
          ref: ZaCos.A_zimbraMobilePolicyAllowPOPIMAPEmail,
          trueValue: '1',
          falseValue: '0'
        },
        {
          type: _CHECKBOX_,
          label: zxMsg('LBL_MOB_Allow_text_messaging'),
          ref: ZaCos.A_zimbraMobilePolicyAllowTextMessaging,
          trueValue: '1',
          falseValue: '0'
        },
        {
          type: _CHECKBOX_,
          label: zxMsg('LBL_MOB_Allow_unsigned_applications'),
          ref: ZaCos.A_zimbraMobilePolicyAllowUnsignedApplications,
          trueValue: '1',
          falseValue: '0'
        },
        {
          type: _CHECKBOX_,
          label: zxMsg('LBL_MOB_Allow_install_unsigned_applications'),
          ref: ZaCos.A_zimbraMobilePolicyAllowUnsignedInstallationPackages,
          trueValue: '1',
          falseValue: '0'
        }
      ]
    },
    {
      type: _TOP_GROUPER_,
      label: zxMsg('LBL_MOB_Approved_applications'),
      visibilityChecks: [ZxUtils.isZ8Up],
      enableDisableChecks: [ZxMobile.checkMobilePolicyEnabled],
      enableDisableChangeEventSources: [ZaCos.A_zimbraFeatureMobilePolicyEnabled],
      items: [
        {
          ref: ZaCos.A_zimbraMobilePolicyApprovedApplicationList,
          type: _DWT_LIST_,
          colSpan: 2,
          listHeight: 150,
          widgetClass: ZxMobileAppListView,
          reserveSelection: false,
          multiselect: true,
          cssClass: 'DLSource',
          headerList: null,
          onSelection: ZxMobileAppListView.onApprovedAppSelectionListener,
          valueChangeEventSources: [ZaCos.A_zimbraMobilePolicyApprovedApplicationList]
        },
        {
          type: _GROUP_,
          numCols: 4,
          colSpan: 2,
          colSizes: [150, 10, 150, '*'],
          items: [
            {
              type: _DWT_BUTTON_,
              icon: 'Add',
              label: zxMsg('LBL_MOB_Add_application'),
              onActivate: ZxMobileAppListView.addApprovedAppButtonListener
            },
            { type: _CELLSPACER_ },
            {
              type: _DWT_BUTTON_,
              icon: 'Delete',
              label: zxMsg('LBL_MOB_Remove_application'),
              onActivate: ZxMobileAppListView.removeApprovedAppButtonListener,
              enableDisableChangeEventSources: [ZaCos.A_ApprovedAppSelection],
              enableDisableChecks: [ZxMobileAppListView.isRemoveApprovedAppEnabled]
            },
            { type: _CELLSPACER_ }
          ]
        }
      ]
    },
    {
      type: _TOP_GROUPER_,
      label: zxMsg('LBL_MOB_Blocked_applications'),
      visibilityChecks: [ZxUtils.isZ8Up],
      enableDisableChecks: [ZxMobile.checkMobilePolicyEnabled],
      enableDisableChangeEventSources: [ZaCos.A_zimbraFeatureMobilePolicyEnabled],
      items: [
        {
          ref: ZaCos.A_zimbraMobilePolicyUnapprovedInROMApplication,
          type: _DWT_LIST_,
          height: 150,
          cssClass: 'DLSource',
          numCols: 3,
          colSpan: 2,
          widgetClass: ZxMobileAppListView,
          reserveSelection: false,
          multiselect: true,
          headerList: null,
          onSelection: ZxMobileAppListView.onBlockedAppSelectionListener,
          valueChangeEventSources: [ZaCos.A_zimbraMobilePolicyUnapprovedInROMApplication]
        },
        {
          type: _GROUP_,
          numCols: 4,
          colSpan: 2,
          colSizes: [150, 10, 150, '*'],
          items: [
            {
              type: _DWT_BUTTON_,
              icon: 'Add',
              label: zxMsg('LBL_MOB_Add_application'),
              onActivate: ZxMobileAppListView.addBlockedAppButtonListener
            },
            { type: _CELLSPACER_ },
            {
              type: _DWT_BUTTON_,
              icon: 'Delete',
              label: zxMsg('LBL_MOB_Remove_application'),
              onActivate: ZxMobileAppListView.removeBlockedAppButtonListener,
              enableDisableChangeEventSources: [ZaCos.A_BlockedAppSelection],
              enableDisableChecks: [ZxMobileAppListView.isRemoveBlockedAppEnabled]
            },
            { type: _CELLSPACER_ }
          ]
        }
      ]
    }
  ]
};
