/*
 * ***** BEGIN LICENSE BLOCK *****
 * Copyright (C) 2011-2016 ZeXtras
 *
 * The contents of this file are subject to the ZeXtras EULA;
 * you may not use this file except in compliance with the EULA.
 * You may obtain a copy of the EULA at
 * http://www.zextras.com/zextras-eula.html
 * ***** END LICENSE BLOCK *****
 */

var ZxNotificationsXFormItem = [
  {
    type: _GROUP_,
    cssClass: 'ZmSelectedHeaderBg',
    colSpan: '*',
    id: 'xform_header',
    items: [
      {
        type: _GROUP_,
        cssClass: 'ZxNotificationsSpacer',
        numCols: 3,
        width: '100%',
        colSizes: ['160px', '*', '200px'],
        items: [
          { type: _CELLSPACER_ },
          {
            type: _OUTPUT_,
            ref: 'name',
            valign: _TOP_,
            cssClass: 'AdminTitle'
          },
          {
            type: _GROUP_,
            width: 200,
            numCols: 1,
            items: [
              {
                type: _DWT_BUTTON_,
                label: zxMsg('LBL_NOT_mark_all_as_read'),
                width: 200,
                cssStyle: 'margin-top:20px',
                onActivate: ZxNotifications.doMarkAllAsRead,
                icon: 'RightObject'
              },
              {
                type: _DWT_BUTTON_,
                label: zxMsg('LBL_NOT_op_queue'),
                width: 200,
                cssStyle: 'margin-top:5px',
                onActivate: ZxNotifications.doShowOpQueue,
                icon: 'ZxOpQueue'
              }
            ]
          }
        ]
      }
    ]
  },
  {
    type: _GROUP_,
    numCols: 1,
    colSizes: ['100%'],
    tableCssStyle: 'width:100%;overflow:auto;padding-right:15px;padding-left:15px;',
    items: [
      {
        type: _TOP_GROUPER_,
        label: zxMsg('LBL_NOT_notification_list'),
        numCols: 1,
        cssStyle: 'min-width: 100%;',
        colSizes: ['*'],
        items: [
          {
            id: 'ZXNoteList',
            ref: 'attrs/notifications',
            bmolsnr: true,
            type: _DWT_LIST_,
            headerList: ZxNotificationsListView.getHeaderList(),
            widgetClass: ZxNotificationsListView
          },
          {type: _SPACER_, height: '10'},
          {
            type: _DWT_BUTTON_,
            label: zxMsg('LBL_NOT_mark_as_unread'),
            onActivate: ZxNotificationsListView.markAsUnread,
            width: 50,
            icon: 'ZxUnread',
            cssStyle: 'padding-left: 10px'
          }
        ]
      },
      {type: _SPACER_, height: '15'},
      {
        type: _TOP_GROUPER_,
        label: zxMsg('LBL_details'),
        numCols: 1,
        cssStyle: 'min-width: 100%;',
        colSizes: ['*'],
        items: [
          {
            id: 'ZXNoteTitle',
            type: _OUTPUT_,
            cssClass: 'ZXTitle'
          },
          {type: _SPACER_, height: '10'},
          {
            id: 'ZXNoteDetail',
            type: _OUTPUT_,
            value: zxMsg('MSG_NOT_no_notification_selected')
          }
        ]
      }
    ]
  }
];
