/*
 * ***** BEGIN LICENSE BLOCK *****
 * Copyright (C) 2011-2016 ZeXtras
 *
 * The contents of this file are subject to the ZeXtras EULA;
 * you may not use this file except in compliance with the EULA.
 * You may obtain a copy of the EULA at
 * http://www.zextras.com/zextras-eula.html
 * ***** END LICENSE BLOCK *****
 */

var ZxPowerstoreModel = [
  {type: _ENUM_, id: ZxPowerstore.KEY_HSM_MOVE_SCHEDULING_ENABLED,
    ref: 'attrs/properties/' + ZxPowerstore.KEY_HSM_MOVE_SCHEDULING_ENABLED,
    choices: ZaModel.BOOLEAN_CHOICES1},

  {type: _ENUM_, id: ZxPowerstore.KEY_HSM_SCHEDULED_TIME,
    ref: 'attrs/properties/' + ZxPowerstore.KEY_HSM_SCHEDULED_TIME,
    choices: ZxUtils.HOURS},

  {type: _LIST_, id: ZxPowerstore.KEY_HSM_LIST,
    ref: 'attrs/' + ZxPowerstore.KEY_HSM_LIST},

  {type: _LIST_, id: ZxPowerstore.KEY_HSMS,
    ref: 'attrs/' + ZxPowerstore.KEY_HSMS},

  {type: _LIST_, id: ZxPowerstore.KEY_INDEXES,
    ref: 'attrs/' + ZxPowerstore.KEY_INDEXES},
  {type: _LIST_, id: ZxPowerstore.KEY_PRIMARIES,
    ref: 'attrs/' + ZxPowerstore.KEY_PRIMARIES},
  {type: _LIST_, id: ZxPowerstore.KEY_SECONDARIES,
    ref: 'attrs/' + ZxPowerstore.KEY_SECONDARIES},

  {type: _STRING_, id: ZxPowerstore.KEY_CACHE_SIZE,
    ref: 'attrs/' + ZxPowerstore.KEY_CACHE_SIZE,
    pattern: [/^(\d+[\.\,]?\d?)\s?(B|KB|MB|GB|TB)$/i],
  } // refers to StringUtils.sParseSizeToByteRegExp

  // Description? ZimbraID? wtf?

];
